<?php
//Include Common Files @1-98804E27
define("RelativePath", "..");
define("PathToCurrentPage", "/BackUP/");
define("FileName", "index.php");
include_once(RelativePath . "/Common.php");
include_once(RelativePath . "/Template.php");
include_once(RelativePath . "/Sorter.php");
include_once(RelativePath . "/Navigator.php");
//End Include Common Files

class clsGridALARM { //ALARM class @2-E6F56881

//Variables @2-EBC97D40

    // Public variables
    public $ComponentType = "Grid";
    public $ComponentName;
    public $Visible;
    public $Errors;
    public $ErrorBlock;
    public $ds;
    public $DataSource;
    public $PageSize;
    public $IsEmpty;
    public $ForceIteration = false;
    public $HasRecord = false;
    public $SorterName = "";
    public $SorterDirection = "";
    public $PageNumber;
    public $RowNumber;
    public $ControlsVisible = array();

    public $CCSEvents = "";
    public $CCSEventResult;

    public $RelativePath = "";
    public $Attributes;

    // Grid Controls
    public $StaticControls;
    public $RowControls;
    public $Sorter_ID;
    public $Sorter_TIMEAL;
    public $Sorter_CALLERID1;
    public $Sorter_DATEALARM;
    public $Sorter_TRIES;
    public $Sorter_LANG;
//End Variables

//Class_Initialize Event @2-748B81EE
    function clsGridALARM($RelativePath, & $Parent)
    {
        global $FileName;
        global $CCSLocales;
        global $DefaultDateFormat;
        $this->ComponentName = "ALARM";
        $this->Visible = True;
        $this->Parent = & $Parent;
        $this->RelativePath = $RelativePath;
        $this->Errors = new clsErrors();
        $this->ErrorBlock = "Grid ALARM";
        $this->Attributes = new clsAttributes($this->ComponentName . ":");
        $this->DataSource = new clsALARMDataSource($this);
        $this->ds = & $this->DataSource;
        $this->PageSize = CCGetParam($this->ComponentName . "PageSize", "");
        if(!is_numeric($this->PageSize) || !strlen($this->PageSize))
            $this->PageSize = 40;
        else
            $this->PageSize = intval($this->PageSize);
        if ($this->PageSize > 100)
            $this->PageSize = 100;
        if($this->PageSize == 0)
            $this->Errors->addError("<p>Form: Grid " . $this->ComponentName . "<br>Error: (CCS06) Invalid page size.</p>");
        $this->PageNumber = intval(CCGetParam($this->ComponentName . "Page", 1));
        if ($this->PageNumber <= 0) $this->PageNumber = 1;
        $this->SorterName = CCGetParam("ALARMOrder", "");
        $this->SorterDirection = CCGetParam("ALARMDir", "");

        $this->Data_ID = new clsPanel("Data_ID", $this);
        $this->ID = new clsControl(ccsLink, "ID", "ID", ccsInteger, "", CCGetRequestParam("ID", ccsGet, NULL), $this);
        $this->ID->Page = "edit_alarms.php";
        $this->Data_TIMEAL = new clsPanel("Data_TIMEAL", $this);
        $this->TIMEAL = new clsControl(ccsLabel, "TIMEAL", "TIMEAL", ccsText, "", CCGetRequestParam("TIMEAL", ccsGet, NULL), $this);
        $this->Data_CALLERID1 = new clsPanel("Data_CALLERID1", $this);
        $this->CALLERID1 = new clsControl(ccsLabel, "CALLERID1", "CALLERID1", ccsText, "", CCGetRequestParam("CALLERID1", ccsGet, NULL), $this);
        $this->Data_DATEALARM = new clsPanel("Data_DATEALARM", $this);
        $this->DATEALARM = new clsControl(ccsLabel, "DATEALARM", "DATEALARM", ccsText, "", CCGetRequestParam("DATEALARM", ccsGet, NULL), $this);
        $this->Data_TRIES = new clsPanel("Data_TRIES", $this);
        $this->TRIES = new clsControl(ccsLabel, "TRIES", "TRIES", ccsInteger, "", CCGetRequestParam("TRIES", ccsGet, NULL), $this);
        $this->Data_LANG = new clsPanel("Data_LANG", $this);
        $this->LANG = new clsControl(ccsLabel, "LANG", "LANG", ccsInteger, "", CCGetRequestParam("LANG", ccsGet, NULL), $this);
        $this->Data_ACTIVATED_BY = new clsPanel("Data_ACTIVATED_BY", $this);
        $this->ACTIVATED_BY = new clsControl(ccsLabel, "ACTIVATED_BY", "ACTIVATED_BY", ccsText, "", CCGetRequestParam("ACTIVATED_BY", ccsGet, NULL), $this);
        $this->ALARM_Insert = new clsControl(ccsLink, "ALARM_Insert", "ALARM_Insert", ccsText, "", CCGetRequestParam("ALARM_Insert", ccsGet, NULL), $this);
        $this->ALARM_Insert->Parameters = CCGetQueryString("QueryString", array("ID", "ccsForm"));
        $this->ALARM_Insert->Page = "activate_alarm.php";
        $this->ALARM_TotalRecords = new clsControl(ccsLabel, "ALARM_TotalRecords", "ALARM_TotalRecords", ccsText, "", CCGetRequestParam("ALARM_TotalRecords", ccsGet, NULL), $this);
        $this->Header_ID = new clsPanel("Header_ID", $this);
        $this->Sorter_ID = new clsSorter($this->ComponentName, "Sorter_ID", $FileName, $this);
        $this->Header_TIMEAL = new clsPanel("Header_TIMEAL", $this);
        $this->Sorter_TIMEAL = new clsSorter($this->ComponentName, "Sorter_TIMEAL", $FileName, $this);
        $this->Header_CALLERID1 = new clsPanel("Header_CALLERID1", $this);
        $this->Sorter_CALLERID1 = new clsSorter($this->ComponentName, "Sorter_CALLERID1", $FileName, $this);
        $this->Header_DATEALARM = new clsPanel("Header_DATEALARM", $this);
        $this->Sorter_DATEALARM = new clsSorter($this->ComponentName, "Sorter_DATEALARM", $FileName, $this);
        $this->Header_TRIES = new clsPanel("Header_TRIES", $this);
        $this->Sorter_TRIES = new clsSorter($this->ComponentName, "Sorter_TRIES", $FileName, $this);
        $this->Header_LANG = new clsPanel("Header_LANG", $this);
        $this->Sorter_LANG = new clsSorter($this->ComponentName, "Sorter_LANG", $FileName, $this);
        $this->Header_ACTIVATED_BY = new clsPanel("Header_ACTIVATED_BY", $this);
        $this->Navigator = new clsNavigator($this->ComponentName, "Navigator", $FileName, 10, tpSimple, $this);
        $this->Navigator->PageSizes = array("1", "5", "10", "25", "50");
        $this->Header_ID->AddComponent("Sorter_ID", $this->Sorter_ID);
        $this->Header_TIMEAL->AddComponent("Sorter_TIMEAL", $this->Sorter_TIMEAL);
        $this->Header_CALLERID1->AddComponent("Sorter_CALLERID1", $this->Sorter_CALLERID1);
        $this->Header_DATEALARM->AddComponent("Sorter_DATEALARM", $this->Sorter_DATEALARM);
        $this->Header_TRIES->AddComponent("Sorter_TRIES", $this->Sorter_TRIES);
        $this->Header_LANG->AddComponent("Sorter_LANG", $this->Sorter_LANG);
        $this->Data_ID->AddComponent("ID", $this->ID);
        $this->Data_TIMEAL->AddComponent("TIMEAL", $this->TIMEAL);
        $this->Data_CALLERID1->AddComponent("CALLERID1", $this->CALLERID1);
        $this->Data_DATEALARM->AddComponent("DATEALARM", $this->DATEALARM);
        $this->Data_TRIES->AddComponent("TRIES", $this->TRIES);
        $this->Data_LANG->AddComponent("LANG", $this->LANG);
        $this->Data_ACTIVATED_BY->AddComponent("ACTIVATED_BY", $this->ACTIVATED_BY);
    }
//End Class_Initialize Event

//Initialize Method @2-90E704C5
    function Initialize()
    {
        if(!$this->Visible) return;

        $this->DataSource->PageSize = & $this->PageSize;
        $this->DataSource->AbsolutePage = & $this->PageNumber;
        $this->DataSource->SetOrder($this->SorterName, $this->SorterDirection);
    }
//End Initialize Method

//Show Method @2-E2B693E0
    function Show()
    {
        global $Tpl;
        global $CCSLocales;
        if(!$this->Visible) return;

        $this->RowNumber = 0;

        $this->DataSource->Parameters["urls_CALLERID1"] = CCGetFromGet("s_CALLERID1", NULL);

        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeSelect", $this);


        $this->DataSource->Prepare();
        $this->DataSource->Open();
        $this->HasRecord = $this->DataSource->has_next_record();
        $this->IsEmpty = ! $this->HasRecord;
        $this->Attributes->Show();

        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeShow", $this);
        if(!$this->Visible) return;

        $GridBlock = "Grid " . $this->ComponentName;
        $ParentPath = $Tpl->block_path;
        $Tpl->block_path = $ParentPath . "/" . $GridBlock;


        if (!$this->IsEmpty) {
            $this->ControlsVisible["Data_ID"] = $this->Data_ID->Visible;
            $this->ControlsVisible["ID"] = $this->ID->Visible;
            $this->ControlsVisible["Data_TIMEAL"] = $this->Data_TIMEAL->Visible;
            $this->ControlsVisible["TIMEAL"] = $this->TIMEAL->Visible;
            $this->ControlsVisible["Data_CALLERID1"] = $this->Data_CALLERID1->Visible;
            $this->ControlsVisible["CALLERID1"] = $this->CALLERID1->Visible;
            $this->ControlsVisible["Data_DATEALARM"] = $this->Data_DATEALARM->Visible;
            $this->ControlsVisible["DATEALARM"] = $this->DATEALARM->Visible;
            $this->ControlsVisible["Data_TRIES"] = $this->Data_TRIES->Visible;
            $this->ControlsVisible["TRIES"] = $this->TRIES->Visible;
            $this->ControlsVisible["Data_LANG"] = $this->Data_LANG->Visible;
            $this->ControlsVisible["LANG"] = $this->LANG->Visible;
            $this->ControlsVisible["Data_ACTIVATED_BY"] = $this->Data_ACTIVATED_BY->Visible;
            $this->ControlsVisible["ACTIVATED_BY"] = $this->ACTIVATED_BY->Visible;
            while ($this->ForceIteration || (($this->RowNumber < $this->PageSize) &&  ($this->HasRecord = $this->DataSource->has_next_record()))) {
                // Parse Separator
                if($this->RowNumber) {
                    $this->Attributes->Show();
                    $Tpl->parseto("Separator", true, "Row");
                }
                $this->RowNumber++;
                if ($this->HasRecord) {
                    $this->DataSource->next_record();
                    $this->DataSource->SetValues();
                }
                $Tpl->block_path = $ParentPath . "/" . $GridBlock . "/Row";
                $this->ID->SetValue($this->DataSource->ID->GetValue());
                $this->ID->Parameters = CCGetQueryString("QueryString", array("ccsForm"));
                $this->ID->Parameters = CCAddParam($this->ID->Parameters, "ID", $this->DataSource->f("ID"));
                $this->TIMEAL->SetValue($this->DataSource->TIMEAL->GetValue());
                $this->CALLERID1->SetValue($this->DataSource->CALLERID1->GetValue());
                $this->DATEALARM->SetValue($this->DataSource->DATEALARM->GetValue());
                $this->TRIES->SetValue($this->DataSource->TRIES->GetValue());
                $this->LANG->SetValue($this->DataSource->LANG->GetValue());
                $this->ACTIVATED_BY->SetValue($this->DataSource->ACTIVATED_BY->GetValue());
                $this->Attributes->SetValue("rowNumber", $this->RowNumber);
                $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeShowRow", $this);
                $this->Attributes->Show();
                $this->Data_ID->Show();
                $this->Data_TIMEAL->Show();
                $this->Data_CALLERID1->Show();
                $this->Data_DATEALARM->Show();
                $this->Data_TRIES->Show();
                $this->Data_LANG->Show();
                $this->Data_ACTIVATED_BY->Show();
                $Tpl->block_path = $ParentPath . "/" . $GridBlock;
                $Tpl->parse("Row", true);
            }
        }
        else { // Show NoRecords block if no records are found
            $this->Attributes->Show();
            $Tpl->parse("NoRecords", false);
        }

        $errors = $this->GetErrors();
        if(strlen($errors))
        {
            $Tpl->replaceblock("", $errors);
            $Tpl->block_path = $ParentPath;
            return;
        }
        $this->Navigator->PageNumber = $this->DataSource->AbsolutePage;
        $this->Navigator->PageSize = $this->PageSize;
        if ($this->DataSource->RecordsCount == "CCS not counted")
            $this->Navigator->TotalPages = $this->DataSource->AbsolutePage + ($this->DataSource->next_record() ? 1 : 0);
        else
            $this->Navigator->TotalPages = $this->DataSource->PageCount();
        if ($this->Navigator->TotalPages <= 1) {
            $this->Navigator->Visible = false;
        }
        $this->ALARM_Insert->Show();
        $this->ALARM_TotalRecords->Show();
        $this->Header_ID->Show();
        $this->Sorter_ID->Show();
        $this->Header_TIMEAL->Show();
        $this->Sorter_TIMEAL->Show();
        $this->Header_CALLERID1->Show();
        $this->Sorter_CALLERID1->Show();
        $this->Header_DATEALARM->Show();
        $this->Sorter_DATEALARM->Show();
        $this->Header_TRIES->Show();
        $this->Sorter_TRIES->Show();
        $this->Header_LANG->Show();
        $this->Sorter_LANG->Show();
        $this->Header_ACTIVATED_BY->Show();
        $this->Navigator->Show();
        $Tpl->parse();
        $Tpl->block_path = $ParentPath;
        $this->DataSource->close();
    }
//End Show Method

//GetErrors Method @2-798BD68A
    function GetErrors()
    {
        $errors = "";
        $errors = ComposeStrings($errors, $this->ID->Errors->ToString());
        $errors = ComposeStrings($errors, $this->TIMEAL->Errors->ToString());
        $errors = ComposeStrings($errors, $this->CALLERID1->Errors->ToString());
        $errors = ComposeStrings($errors, $this->DATEALARM->Errors->ToString());
        $errors = ComposeStrings($errors, $this->TRIES->Errors->ToString());
        $errors = ComposeStrings($errors, $this->LANG->Errors->ToString());
        $errors = ComposeStrings($errors, $this->ACTIVATED_BY->Errors->ToString());
        $errors = ComposeStrings($errors, $this->Errors->ToString());
        $errors = ComposeStrings($errors, $this->DataSource->Errors->ToString());
        return $errors;
    }
//End GetErrors Method

} //End ALARM Class @2-FCB6E20C

class clsALARMDataSource extends clsDBConnection1 {  //ALARMDataSource Class @2-AB59F4E9

//DataSource Variables @2-847F3B88
    public $Parent = "";
    public $CCSEvents = "";
    public $CCSEventResult;
    public $ErrorBlock;
    public $CmdExecution;

    public $CountSQL;
    public $wp;


    // Datasource fields
    public $ID;
    public $TIMEAL;
    public $CALLERID1;
    public $DATEALARM;
    public $TRIES;
    public $LANG;
    public $ACTIVATED_BY;
//End DataSource Variables

//DataSourceClass_Initialize Event @2-7FE6CA03
    function clsALARMDataSource(& $Parent)
    {
        $this->Parent = & $Parent;
        $this->ErrorBlock = "Grid ALARM";
        $this->Initialize();
        $this->ID = new clsField("ID", ccsInteger, "");
        
        $this->TIMEAL = new clsField("TIMEAL", ccsText, "");
        
        $this->CALLERID1 = new clsField("CALLERID1", ccsText, "");
        
        $this->DATEALARM = new clsField("DATEALARM", ccsText, "");
        
        $this->TRIES = new clsField("TRIES", ccsInteger, "");
        
        $this->LANG = new clsField("LANG", ccsInteger, "");
        
        $this->ACTIVATED_BY = new clsField("ACTIVATED_BY", ccsText, "");
        

    }
//End DataSourceClass_Initialize Event

//SetOrder Method @2-1A84ECD3
    function SetOrder($SorterName, $SorterDirection)
    {
        $this->Order = "TIMEAL";
        $this->Order = CCGetOrder($this->Order, $SorterName, $SorterDirection, 
            array("Sorter_ID" => array("ID", ""), 
            "Sorter_TIMEAL" => array("Alarm time", ""), 
            "Sorter_CALLERID1" => array("CALLERID1", ""), 
            "Sorter_DATEALARM" => array("DATEALARM", ""), 
            "Sorter_TRIES" => array("TRIES", ""), 
            "Sorter_LANG" => array("LANG", "")));
    }
//End SetOrder Method

//Prepare Method @2-0716C668
    function Prepare()
    {
        global $CCSLocales;
        global $DefaultDateFormat;
        $this->wp = new clsSQLParameters($this->ErrorBlock);
        $this->wp->AddParameter("1", "urls_CALLERID1", ccsText, "", "", $this->Parameters["urls_CALLERID1"], "", false);
        $this->wp->Criterion[1] = $this->wp->Operation(opContains, "CALLERID1", $this->wp->GetDBValue("1"), $this->ToSQL($this->wp->GetDBValue("1"), ccsText),false);
        $this->Where = 
             $this->wp->Criterion[1];
    }
//End Prepare Method

//Open Method @2-82FEF0F4
    function Open()
    {
        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeBuildSelect", $this->Parent);
        $this->CountSQL = "SELECT COUNT(*)\n\n" .
        "FROM ALARM";
        $this->SQL = "SELECT TOP {SqlParam_endRecord} ID, TIMEAL, CALLERID1, DATEALARM, TRIES, LANG, ACTIVATED_BY \n\n" .
        "FROM ALARM {SQL_Where} {SQL_OrderBy}";
        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeExecuteSelect", $this->Parent);
        if ($this->CountSQL) 
            $this->RecordsCount = CCGetDBValue(CCBuildSQL($this->CountSQL, $this->Where, ""), $this);
        else
            $this->RecordsCount = "CCS not counted";
        $this->query($this->OptimizeSQL(CCBuildSQL($this->SQL, $this->Where, $this->Order)));
        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "AfterExecuteSelect", $this->Parent);
        $this->MoveToPage($this->AbsolutePage);
    }
//End Open Method

//SetValues Method @2-F205DE0C
    function SetValues()
    {
        $this->ID->SetDBValue(trim($this->f("ID")));
        $this->TIMEAL->SetDBValue($this->f("TIMEAL"));
        $this->CALLERID1->SetDBValue($this->f("CALLERID1"));
        $this->DATEALARM->SetDBValue($this->f("DATEALARM"));
        $this->TRIES->SetDBValue(trim($this->f("TRIES")));
        $this->LANG->SetDBValue(trim($this->f("LANG")));
        $this->ACTIVATED_BY->SetDBValue($this->f("ACTIVATED_BY"));
    }
//End SetValues Method

} //End ALARMDataSource Class @2-FCB6E20C



class clsRecordALARM2 { //ALARM2 Class @51-FA7EF44A

//Variables @51-9E315808

    // Public variables
    public $ComponentType = "Record";
    public $ComponentName;
    public $Parent;
    public $HTMLFormAction;
    public $PressedButton;
    public $Errors;
    public $ErrorBlock;
    public $FormSubmitted;
    public $FormEnctype;
    public $Visible;
    public $IsEmpty;

    public $CCSEvents = "";
    public $CCSEventResult;

    public $RelativePath = "";

    public $InsertAllowed = false;
    public $UpdateAllowed = false;
    public $DeleteAllowed = false;
    public $ReadAllowed   = false;
    public $EditMode      = false;
    public $ds;
    public $DataSource;
    public $ValidatingControls;
    public $Controls;
    public $Attributes;

    // Class variables
//End Variables

//Class_Initialize Event @51-0815380B
    function clsRecordALARM2($RelativePath, & $Parent)
    {

        global $FileName;
        global $CCSLocales;
        global $DefaultDateFormat;
        $this->Visible = true;
        $this->Parent = & $Parent;
        $this->RelativePath = $RelativePath;
        $this->Errors = new clsErrors();
        $this->ErrorBlock = "Record ALARM2/Error";
        $this->ReadAllowed = true;
        if($this->Visible)
        {
            $this->ComponentName = "ALARM2";
            $this->Attributes = new clsAttributes($this->ComponentName . ":");
            $CCSForm = split(":", CCGetFromGet("ccsForm", ""), 2);
            if(sizeof($CCSForm) == 1)
                $CCSForm[1] = "";
            list($FormName, $FormMethod) = $CCSForm;
            $this->FormEnctype = "application/x-www-form-urlencoded";
            $this->FormSubmitted = ($FormName == $this->ComponentName);
            $Method = $this->FormSubmitted ? ccsPost : ccsGet;
            $this->s_CALLERID1 = new clsControl(ccsTextBox, "s_CALLERID1", "s_CALLERID1", ccsText, "", CCGetRequestParam("s_CALLERID1", $Method, NULL), $this);
            $this->Button_DoSearch = new clsButton("Button_DoSearch", $Method, $this);
        }
    }
//End Class_Initialize Event

//Validate Method @51-642DD837
    function Validate()
    {
        global $CCSLocales;
        $Validation = true;
        $Where = "";
        $Validation = ($this->s_CALLERID1->Validate() && $Validation);
        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "OnValidate", $this);
        $Validation =  $Validation && ($this->s_CALLERID1->Errors->Count() == 0);
        return (($this->Errors->Count() == 0) && $Validation);
    }
//End Validate Method

//CheckErrors Method @51-D9C5C8DD
    function CheckErrors()
    {
        $errors = false;
        $errors = ($errors || $this->s_CALLERID1->Errors->Count());
        $errors = ($errors || $this->Errors->Count());
        return $errors;
    }
//End CheckErrors Method

//MasterDetail @51-ED598703
function SetPrimaryKeys($keyArray)
{
    $this->PrimaryKeys = $keyArray;
}
function GetPrimaryKeys()
{
    return $this->PrimaryKeys;
}
function GetPrimaryKey($keyName)
{
    return $this->PrimaryKeys[$keyName];
}
//End MasterDetail

//Operation Method @51-670B96B7
    function Operation()
    {
        if(!$this->Visible)
            return;

        global $Redirect;
        global $FileName;

        if(!$this->FormSubmitted) {
            return;
        }

        if($this->FormSubmitted) {
            $this->PressedButton = "Button_DoSearch";
            if($this->Button_DoSearch->Pressed) {
                $this->PressedButton = "Button_DoSearch";
            }
        }
        $Redirect = "index.php";
        if($this->Validate()) {
            if($this->PressedButton == "Button_DoSearch") {
                $Redirect = "index.php" . "?" . CCMergeQueryStrings(CCGetQueryString("Form", array("Button_DoSearch", "Button_DoSearch_x", "Button_DoSearch_y")));
                if(!CCGetEvent($this->Button_DoSearch->CCSEvents, "OnClick", $this->Button_DoSearch)) {
                    $Redirect = "";
                }
            }
        } else {
            $Redirect = "";
        }
    }
//End Operation Method

//Show Method @51-54E2D9C5
    function Show()
    {
        global $CCSUseAmp;
        global $Tpl;
        global $FileName;
        global $CCSLocales;
        $Error = "";

        if(!$this->Visible)
            return;

        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeSelect", $this);


        $RecordBlock = "Record " . $this->ComponentName;
        $ParentPath = $Tpl->block_path;
        $Tpl->block_path = $ParentPath . "/" . $RecordBlock;
        $this->EditMode = $this->EditMode && $this->ReadAllowed;
        if (!$this->FormSubmitted) {
        }

        if($this->FormSubmitted || $this->CheckErrors()) {
            $Error = "";
            $Error = ComposeStrings($Error, $this->s_CALLERID1->Errors->ToString());
            $Error = ComposeStrings($Error, $this->Errors->ToString());
            $Tpl->SetVar("Error", $Error);
            $Tpl->Parse("Error", false);
        }
        $CCSForm = $this->EditMode ? $this->ComponentName . ":" . "Edit" : $this->ComponentName;
        $this->HTMLFormAction = $FileName . "?" . CCAddParam(CCGetQueryString("QueryString", ""), "ccsForm", $CCSForm);
        $Tpl->SetVar("Action", !$CCSUseAmp ? $this->HTMLFormAction : str_replace("&", "&amp;", $this->HTMLFormAction));
        $Tpl->SetVar("HTMLFormName", $this->ComponentName);
        $Tpl->SetVar("HTMLFormEnctype", $this->FormEnctype);

        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeShow", $this);
        $this->Attributes->Show();
        if(!$this->Visible) {
            $Tpl->block_path = $ParentPath;
            return;
        }

        $this->s_CALLERID1->Show();
        $this->Button_DoSearch->Show();
        $Tpl->parse();
        $Tpl->block_path = $ParentPath;
    }
//End Show Method

} //End ALARM2 Class @51-FCB6E20C

//Initialize Page @1-6675B2C5
// Variables
$FileName = "";
$Redirect = "";
$Tpl = "";
$TemplateFileName = "";
$BlockToParse = "";
$ComponentName = "";
$Attributes = "";

// Events;
$CCSEvents = "";
$CCSEventResult = "";

$FileName = FileName;
$Redirect = "";
$TemplateFileName = "index.html";
$BlockToParse = "main";
$TemplateEncoding = "UTF-8";
$ContentType = "text/html";
$PathToRoot = "../";
$Charset = $Charset ? $Charset : "utf-8";
//End Initialize Page

//Authenticate User @1-8A8536C5
CCSecurityRedirect("1;0", "login_page.php");
//End Authenticate User

//Include events file @1-B7D86394
include_once("./index_events.php");
//End Include events file

//Before Initialize @1-E870CEBC
$CCSEventResult = CCGetEvent($CCSEvents, "BeforeInitialize", $MainPage);
//End Before Initialize

//Initialize Objects @1-A5A05B55
$DBConnection1 = new clsDBConnection1();
$MainPage->Connections["Connection1"] = & $DBConnection1;
$Attributes = new clsAttributes("page:");
$MainPage->Attributes = & $Attributes;

// Controls
$ALARM = new clsGridALARM("", $MainPage);
$ALARM2 = new clsRecordALARM2("", $MainPage);
$Link5 = new clsControl(ccsLink, "Link5", "Link5", ccsText, "", CCGetRequestParam("Link5", ccsGet, NULL), $MainPage);
$Link5->Parameters = CCGetQueryString("QueryString", array("ccsForm"));
$Link5->Page = "index.php";
$Link6 = new clsControl(ccsLink, "Link6", "Link6", ccsText, "", CCGetRequestParam("Link6", ccsGet, NULL), $MainPage);
$Link6->Parameters = CCGetQueryString("QueryString", array("ccsForm"));
$Link6->Page = "user_accounts.php";
$Link7 = new clsControl(ccsLink, "Link7", "Link7", ccsText, "", CCGetRequestParam("Link7", ccsGet, NULL), $MainPage);
$Link7->Parameters = CCGetQueryString("QueryString", array("ccsForm"));
$Link7->Page = "unsucceessful_alarm_notifications_list.php";
$Link8 = new clsControl(ccsLink, "Link8", "Link8", ccsText, "", CCGetRequestParam("Link8", ccsGet, NULL), $MainPage);
$Link8->Parameters = CCGetQueryString("QueryString", array("ccsForm"));
$Link8->Page = "logs.php";
$Logout2 = new clsControl(ccsLink, "Logout2", "Logout2", ccsText, "", CCGetRequestParam("Logout2", ccsGet, NULL), $MainPage);
$Logout2->Page = "index.php";
$MainPage->ALARM = & $ALARM;
$MainPage->ALARM2 = & $ALARM2;
$MainPage->Link5 = & $Link5;
$MainPage->Link6 = & $Link6;
$MainPage->Link7 = & $Link7;
$MainPage->Link8 = & $Link8;
$MainPage->Logout2 = & $Logout2;
$Logout2->Parameters = CCGetQueryString("QueryString", array("ccsForm"));
$Logout2->Parameters = CCAddParam($Logout2->Parameters, "Logout", "True");
$ALARM->Initialize();

BindEvents();

$CCSEventResult = CCGetEvent($CCSEvents, "AfterInitialize", $MainPage);

if ($Charset) {
    header("Content-Type: " . $ContentType . "; charset=" . $Charset);
} else {
    header("Content-Type: " . $ContentType);
}
//End Initialize Objects

//Initialize HTML Template @1-C0025321
$CCSEventResult = CCGetEvent($CCSEvents, "OnInitializeView", $MainPage);
$Tpl = new clsTemplate($FileEncoding, $TemplateEncoding);
$Tpl->LoadTemplate(PathToCurrentPage . $TemplateFileName, $BlockToParse, "UTF-8");
$Tpl->block_path = "/$BlockToParse";
$CCSEventResult = CCGetEvent($CCSEvents, "BeforeShow", $MainPage);
$Attributes->SetValue("pathToRoot", "../");
$Attributes->Show();
//End Initialize HTML Template

//Execute Components @1-4BD03166
$ALARM2->Operation();
//End Execute Components

//Go to destination page @1-B85C5917
if($Redirect)
{
    $CCSEventResult = CCGetEvent($CCSEvents, "BeforeUnload", $MainPage);
    $DBConnection1->close();
    header("Location: " . $Redirect);
    unset($ALARM);
    unset($ALARM2);
    unset($Tpl);
    exit;
}
//End Go to destination page

//Show Page @1-99D8DC71
$ALARM->Show();
$ALARM2->Show();
$Link5->Show();
$Link6->Show();
$Link7->Show();
$Link8->Show();
$Logout2->Show();
$Tpl->block_path = "";
$Tpl->Parse($BlockToParse, false);
if (!isset($main_block)) $main_block = $Tpl->GetVar($BlockToParse);
$CCSEventResult = CCGetEvent($CCSEvents, "BeforeOutput", $MainPage);
if ($CCSEventResult) echo $main_block;
//End Show Page

//Unload Page @1-6C737EC7
$CCSEventResult = CCGetEvent($CCSEvents, "BeforeUnload", $MainPage);
$DBConnection1->close();
unset($ALARM);
unset($ALARM2);
unset($Tpl);
//End Unload Page


?>
