<?php
//Include Common Files @1-6535E1CE
define("RelativePath", ".");
define("PathToCurrentPage", "/");
define("FileName", "account_record.php");
include_once(RelativePath . "/Common.php");
include_once(RelativePath . "/Template.php");
include_once(RelativePath . "/Sorter.php");
include_once(RelativePath . "/Navigator.php");
//End Include Common Files

class clsRecordACCOUNTS1 { //ACCOUNTS1 Class @2-9A329161

//Variables @2-9E315808

    // Public variables
    public $ComponentType = "Record";
    public $ComponentName;
    public $Parent;
    public $HTMLFormAction;
    public $PressedButton;
    public $Errors;
    public $ErrorBlock;
    public $FormSubmitted;
    public $FormEnctype;
    public $Visible;
    public $IsEmpty;

    public $CCSEvents = "";
    public $CCSEventResult;

    public $RelativePath = "";

    public $InsertAllowed = false;
    public $UpdateAllowed = false;
    public $DeleteAllowed = false;
    public $ReadAllowed   = false;
    public $EditMode      = false;
    public $ds;
    public $DataSource;
    public $ValidatingControls;
    public $Controls;
    public $Attributes;

    // Class variables
//End Variables

//Class_Initialize Event @2-A6DE639B
    function clsRecordACCOUNTS1($RelativePath, & $Parent)
    {

        global $FileName;
        global $CCSLocales;
        global $DefaultDateFormat;
        $this->Visible = true;
        $this->Parent = & $Parent;
        $this->RelativePath = $RelativePath;
        $this->Errors = new clsErrors();
        $this->ErrorBlock = "Record ACCOUNTS1/Error";
        $this->DataSource = new clsACCOUNTS1DataSource($this);
        $this->ds = & $this->DataSource;
        $this->InsertAllowed = true;
        $this->UpdateAllowed = true;
        $this->DeleteAllowed = true;
        $this->ReadAllowed = true;
        if($this->Visible)
        {
            $this->ComponentName = "ACCOUNTS1";
            $this->Attributes = new clsAttributes($this->ComponentName . ":");
            $CCSForm = split(":", CCGetFromGet("ccsForm", ""), 2);
            if(sizeof($CCSForm) == 1)
                $CCSForm[1] = "";
            list($FormName, $FormMethod) = $CCSForm;
            $this->EditMode = ($FormMethod == "Edit");
            $this->FormEnctype = "application/x-www-form-urlencoded";
            $this->FormSubmitted = ($FormName == $this->ComponentName);
            $Method = $this->FormSubmitted ? ccsPost : ccsGet;
            $this->Button_Insert = new clsButton("Button_Insert", $Method, $this);
            $this->Button_Update = new clsButton("Button_Update", $Method, $this);
            $this->Button_Delete = new clsButton("Button_Delete", $Method, $this);
            $this->Button_Cancel = new clsButton("Button_Cancel", $Method, $this);
            $this->NAME = new clsControl(ccsTextBox, "NAME", "NAME", ccsText, "", CCGetRequestParam("NAME", $Method, NULL), $this);
            $this->SURNAME = new clsControl(ccsTextBox, "SURNAME", "SURNAME", ccsText, "", CCGetRequestParam("SURNAME", $Method, NULL), $this);
            $this->TEL = new clsControl(ccsTextBox, "TEL", "TEL", ccsText, "", CCGetRequestParam("TEL", $Method, NULL), $this);
            $this->LOGIN = new clsControl(ccsTextBox, "LOGIN", "LOGIN", ccsText, "", CCGetRequestParam("LOGIN", $Method, NULL), $this);
            $this->PASSWORD = new clsControl(ccsTextBox, "PASSWORD", "PASSWORD", ccsText, "", CCGetRequestParam("PASSWORD", $Method, NULL), $this);
            $this->GROUP_ID = new clsControl(ccsTextBox, "GROUP_ID", "GROUP ID", ccsInteger, "", CCGetRequestParam("GROUP_ID", $Method, NULL), $this);
            if(!$this->FormSubmitted) {
                if(!is_array($this->GROUP_ID->Value) && !strlen($this->GROUP_ID->Value) && $this->GROUP_ID->Value !== false)
                    $this->GROUP_ID->SetText(1);
            }
        }
    }
//End Class_Initialize Event

//Initialize Method @2-D6CB1C94
    function Initialize()
    {

        if(!$this->Visible)
            return;

        $this->DataSource->Parameters["urlID"] = CCGetFromGet("ID", NULL);
    }
//End Initialize Method

//Validate Method @2-82427EA2
    function Validate()
    {
        global $CCSLocales;
        $Validation = true;
        $Where = "";
        $Validation = ($this->NAME->Validate() && $Validation);
        $Validation = ($this->SURNAME->Validate() && $Validation);
        $Validation = ($this->TEL->Validate() && $Validation);
        $Validation = ($this->LOGIN->Validate() && $Validation);
        $Validation = ($this->PASSWORD->Validate() && $Validation);
        $Validation = ($this->GROUP_ID->Validate() && $Validation);
        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "OnValidate", $this);
        $Validation =  $Validation && ($this->NAME->Errors->Count() == 0);
        $Validation =  $Validation && ($this->SURNAME->Errors->Count() == 0);
        $Validation =  $Validation && ($this->TEL->Errors->Count() == 0);
        $Validation =  $Validation && ($this->LOGIN->Errors->Count() == 0);
        $Validation =  $Validation && ($this->PASSWORD->Errors->Count() == 0);
        $Validation =  $Validation && ($this->GROUP_ID->Errors->Count() == 0);
        return (($this->Errors->Count() == 0) && $Validation);
    }
//End Validate Method

//CheckErrors Method @2-05698163
    function CheckErrors()
    {
        $errors = false;
        $errors = ($errors || $this->NAME->Errors->Count());
        $errors = ($errors || $this->SURNAME->Errors->Count());
        $errors = ($errors || $this->TEL->Errors->Count());
        $errors = ($errors || $this->LOGIN->Errors->Count());
        $errors = ($errors || $this->PASSWORD->Errors->Count());
        $errors = ($errors || $this->GROUP_ID->Errors->Count());
        $errors = ($errors || $this->Errors->Count());
        $errors = ($errors || $this->DataSource->Errors->Count());
        return $errors;
    }
//End CheckErrors Method

//MasterDetail @2-ED598703
function SetPrimaryKeys($keyArray)
{
    $this->PrimaryKeys = $keyArray;
}
function GetPrimaryKeys()
{
    return $this->PrimaryKeys;
}
function GetPrimaryKey($keyName)
{
    return $this->PrimaryKeys[$keyName];
}
//End MasterDetail

//Operation Method @2-F138A4BF
    function Operation()
    {
        if(!$this->Visible)
            return;

        global $Redirect;
        global $FileName;

        $this->DataSource->Prepare();
        if(!$this->FormSubmitted) {
            $this->EditMode = $this->DataSource->AllParametersSet;
            return;
        }

        if($this->FormSubmitted) {
            $this->PressedButton = $this->EditMode ? "Button_Update" : "Button_Insert";
            if($this->Button_Insert->Pressed) {
                $this->PressedButton = "Button_Insert";
            } else if($this->Button_Update->Pressed) {
                $this->PressedButton = "Button_Update";
            } else if($this->Button_Delete->Pressed) {
                $this->PressedButton = "Button_Delete";
            } else if($this->Button_Cancel->Pressed) {
                $this->PressedButton = "Button_Cancel";
            }
        }
        $Redirect = $FileName . "?" . CCGetQueryString("QueryString", array("ccsForm"));
        if($this->PressedButton == "Button_Delete") {
            $Redirect = "user_accounts.php" . "?" . CCGetQueryString("QueryString", array("ccsForm"));
            if(!CCGetEvent($this->Button_Delete->CCSEvents, "OnClick", $this->Button_Delete) || !$this->DeleteRow()) {
                $Redirect = "";
            }
        } else if($this->PressedButton == "Button_Cancel") {
            $Redirect = "user_accounts.php" . "?" . CCGetQueryString("QueryString", array("ccsForm"));
            if(!CCGetEvent($this->Button_Cancel->CCSEvents, "OnClick", $this->Button_Cancel)) {
                $Redirect = "";
            }
        } else if($this->Validate()) {
            if($this->PressedButton == "Button_Insert") {
                $Redirect = "user_accounts.php" . "?" . CCGetQueryString("QueryString", array("ccsForm"));
                if(!CCGetEvent($this->Button_Insert->CCSEvents, "OnClick", $this->Button_Insert) || !$this->InsertRow()) {
                    $Redirect = "";
                }
            } else if($this->PressedButton == "Button_Update") {
                $Redirect = "user_accounts.php" . "?" . CCGetQueryString("QueryString", array("ccsForm"));
                if(!CCGetEvent($this->Button_Update->CCSEvents, "OnClick", $this->Button_Update) || !$this->UpdateRow()) {
                    $Redirect = "";
                }
            }
        } else {
            $Redirect = "";
        }
        if ($Redirect)
            $this->DataSource->close();
    }
//End Operation Method

//InsertRow Method @2-026D7BF1
    function InsertRow()
    {
        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeInsert", $this);
        if(!$this->InsertAllowed) return false;
        $this->DataSource->NAME->SetValue($this->NAME->GetValue(true));
        $this->DataSource->SURNAME->SetValue($this->SURNAME->GetValue(true));
        $this->DataSource->TEL->SetValue($this->TEL->GetValue(true));
        $this->DataSource->LOGIN->SetValue($this->LOGIN->GetValue(true));
        $this->DataSource->PASSWORD->SetValue($this->PASSWORD->GetValue(true));
        $this->DataSource->GROUP_ID->SetValue($this->GROUP_ID->GetValue(true));
        $this->DataSource->Insert();
        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "AfterInsert", $this);
        return (!$this->CheckErrors());
    }
//End InsertRow Method

//UpdateRow Method @2-850C647F
    function UpdateRow()
    {
        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeUpdate", $this);
        if(!$this->UpdateAllowed) return false;
        $this->DataSource->NAME->SetValue($this->NAME->GetValue(true));
        $this->DataSource->SURNAME->SetValue($this->SURNAME->GetValue(true));
        $this->DataSource->TEL->SetValue($this->TEL->GetValue(true));
        $this->DataSource->LOGIN->SetValue($this->LOGIN->GetValue(true));
        $this->DataSource->PASSWORD->SetValue($this->PASSWORD->GetValue(true));
        $this->DataSource->GROUP_ID->SetValue($this->GROUP_ID->GetValue(true));
        $this->DataSource->Update();
        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "AfterUpdate", $this);
        return (!$this->CheckErrors());
    }
//End UpdateRow Method

//DeleteRow Method @2-299D98C3
    function DeleteRow()
    {
        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeDelete", $this);
        if(!$this->DeleteAllowed) return false;
        $this->DataSource->Delete();
        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "AfterDelete", $this);
        return (!$this->CheckErrors());
    }
//End DeleteRow Method

//Show Method @2-8343ACAF
    function Show()
    {
        global $CCSUseAmp;
        global $Tpl;
        global $FileName;
        global $CCSLocales;
        $Error = "";

        if(!$this->Visible)
            return;

        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeSelect", $this);


        $RecordBlock = "Record " . $this->ComponentName;
        $ParentPath = $Tpl->block_path;
        $Tpl->block_path = $ParentPath . "/" . $RecordBlock;
        $this->EditMode = $this->EditMode && $this->ReadAllowed;
        if($this->EditMode) {
            if($this->DataSource->Errors->Count()){
                $this->Errors->AddErrors($this->DataSource->Errors);
                $this->DataSource->Errors->clear();
            }
            $this->DataSource->Open();
            if($this->DataSource->Errors->Count() == 0 && $this->DataSource->next_record()) {
                $this->DataSource->SetValues();
                if(!$this->FormSubmitted){
                    $this->NAME->SetValue($this->DataSource->NAME->GetValue());
                    $this->SURNAME->SetValue($this->DataSource->SURNAME->GetValue());
                    $this->TEL->SetValue($this->DataSource->TEL->GetValue());
                    $this->LOGIN->SetValue($this->DataSource->LOGIN->GetValue());
                    $this->PASSWORD->SetValue($this->DataSource->PASSWORD->GetValue());
                    $this->GROUP_ID->SetValue($this->DataSource->GROUP_ID->GetValue());
                }
            } else {
                $this->EditMode = false;
            }
        }

        if($this->FormSubmitted || $this->CheckErrors()) {
            $Error = "";
            $Error = ComposeStrings($Error, $this->NAME->Errors->ToString());
            $Error = ComposeStrings($Error, $this->SURNAME->Errors->ToString());
            $Error = ComposeStrings($Error, $this->TEL->Errors->ToString());
            $Error = ComposeStrings($Error, $this->LOGIN->Errors->ToString());
            $Error = ComposeStrings($Error, $this->PASSWORD->Errors->ToString());
            $Error = ComposeStrings($Error, $this->GROUP_ID->Errors->ToString());
            $Error = ComposeStrings($Error, $this->Errors->ToString());
            $Error = ComposeStrings($Error, $this->DataSource->Errors->ToString());
            $Tpl->SetVar("Error", $Error);
            $Tpl->Parse("Error", false);
        }
        $CCSForm = $this->EditMode ? $this->ComponentName . ":" . "Edit" : $this->ComponentName;
        $this->HTMLFormAction = $FileName . "?" . CCAddParam(CCGetQueryString("QueryString", ""), "ccsForm", $CCSForm);
        $Tpl->SetVar("Action", !$CCSUseAmp ? $this->HTMLFormAction : str_replace("&", "&amp;", $this->HTMLFormAction));
        $Tpl->SetVar("HTMLFormName", $this->ComponentName);
        $Tpl->SetVar("HTMLFormEnctype", $this->FormEnctype);
        $this->Button_Insert->Visible = !$this->EditMode && $this->InsertAllowed;
        $this->Button_Update->Visible = $this->EditMode && $this->UpdateAllowed;
        $this->Button_Delete->Visible = $this->EditMode && $this->DeleteAllowed;

        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeShow", $this);
        $this->Attributes->Show();
        if(!$this->Visible) {
            $Tpl->block_path = $ParentPath;
            return;
        }

        $this->Button_Insert->Show();
        $this->Button_Update->Show();
        $this->Button_Delete->Show();
        $this->Button_Cancel->Show();
        $this->NAME->Show();
        $this->SURNAME->Show();
        $this->TEL->Show();
        $this->LOGIN->Show();
        $this->PASSWORD->Show();
        $this->GROUP_ID->Show();
        $Tpl->parse();
        $Tpl->block_path = $ParentPath;
        $this->DataSource->close();
    }
//End Show Method

} //End ACCOUNTS1 Class @2-FCB6E20C

class clsACCOUNTS1DataSource extends clsDBConnection1 {  //ACCOUNTS1DataSource Class @2-6A290EDF

//DataSource Variables @2-9CDE67C7
    public $Parent = "";
    public $CCSEvents = "";
    public $CCSEventResult;
    public $ErrorBlock;
    public $CmdExecution;

    public $InsertParameters;
    public $UpdateParameters;
    public $DeleteParameters;
    public $wp;
    public $AllParametersSet;

    public $InsertFields = array();
    public $UpdateFields = array();

    // Datasource fields
    public $NAME;
    public $SURNAME;
    public $TEL;
    public $LOGIN;
    public $PASSWORD;
    public $GROUP_ID;
//End DataSource Variables

//DataSourceClass_Initialize Event @2-C43BB249
    function clsACCOUNTS1DataSource(& $Parent)
    {
        $this->Parent = & $Parent;
        $this->ErrorBlock = "Record ACCOUNTS1/Error";
        $this->Initialize();
        $this->NAME = new clsField("NAME", ccsText, "");
        
        $this->SURNAME = new clsField("SURNAME", ccsText, "");
        
        $this->TEL = new clsField("TEL", ccsText, "");
        
        $this->LOGIN = new clsField("LOGIN", ccsText, "");
        
        $this->PASSWORD = new clsField("PASSWORD", ccsText, "");
        
        $this->GROUP_ID = new clsField("GROUP_ID", ccsInteger, "");
        

        $this->InsertFields["NAME"] = array("Name" => "NAME", "Value" => "", "DataType" => ccsText, "OmitIfEmpty" => 1);
        $this->InsertFields["SURNAME"] = array("Name" => "SURNAME", "Value" => "", "DataType" => ccsText, "OmitIfEmpty" => 1);
        $this->InsertFields["TEL"] = array("Name" => "TEL", "Value" => "", "DataType" => ccsText, "OmitIfEmpty" => 1);
        $this->InsertFields["LOGIN"] = array("Name" => "LOGIN", "Value" => "", "DataType" => ccsText, "OmitIfEmpty" => 1);
        $this->InsertFields["PASSWORD"] = array("Name" => "[PASSWORD]", "Value" => "", "DataType" => ccsText, "OmitIfEmpty" => 1);
        $this->InsertFields["GROUP_ID"] = array("Name" => "GROUP_ID", "Value" => "", "DataType" => ccsInteger, "OmitIfEmpty" => 1);
        $this->UpdateFields["NAME"] = array("Name" => "NAME", "Value" => "", "DataType" => ccsText, "OmitIfEmpty" => 1);
        $this->UpdateFields["SURNAME"] = array("Name" => "SURNAME", "Value" => "", "DataType" => ccsText, "OmitIfEmpty" => 1);
        $this->UpdateFields["TEL"] = array("Name" => "TEL", "Value" => "", "DataType" => ccsText, "OmitIfEmpty" => 1);
        $this->UpdateFields["LOGIN"] = array("Name" => "LOGIN", "Value" => "", "DataType" => ccsText, "OmitIfEmpty" => 1);
        $this->UpdateFields["PASSWORD"] = array("Name" => "[PASSWORD]", "Value" => "", "DataType" => ccsText, "OmitIfEmpty" => 1);
        $this->UpdateFields["GROUP_ID"] = array("Name" => "GROUP_ID", "Value" => "", "DataType" => ccsInteger, "OmitIfEmpty" => 1);
    }
//End DataSourceClass_Initialize Event

//Prepare Method @2-C6736E1B
    function Prepare()
    {
        global $CCSLocales;
        global $DefaultDateFormat;
        $this->wp = new clsSQLParameters($this->ErrorBlock);
        $this->wp->AddParameter("1", "urlID", ccsInteger, "", "", $this->Parameters["urlID"], "", false);
        $this->AllParametersSet = $this->wp->AllParamsSet();
        $this->wp->Criterion[1] = $this->wp->Operation(opEqual, "ID", $this->wp->GetDBValue("1"), $this->ToSQL($this->wp->GetDBValue("1"), ccsInteger),false);
        $this->Where = 
             $this->wp->Criterion[1];
    }
//End Prepare Method

//Open Method @2-7C694CBB
    function Open()
    {
        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeBuildSelect", $this->Parent);
        $this->SQL = "SELECT * \n\n" .
        "FROM ACCOUNTS {SQL_Where} {SQL_OrderBy}";
        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeExecuteSelect", $this->Parent);
        $this->query(CCBuildSQL($this->SQL, $this->Where, $this->Order));
        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "AfterExecuteSelect", $this->Parent);
    }
//End Open Method

//SetValues Method @2-B7A4B14B
    function SetValues()
    {
        $this->NAME->SetDBValue($this->f("NAME"));
        $this->SURNAME->SetDBValue($this->f("SURNAME"));
        $this->TEL->SetDBValue($this->f("TEL"));
        $this->LOGIN->SetDBValue($this->f("LOGIN"));
        $this->PASSWORD->SetDBValue($this->f("PASSWORD"));
        $this->GROUP_ID->SetDBValue(trim($this->f("GROUP_ID")));
    }
//End SetValues Method

//Insert Method @2-0C589622
    function Insert()
    {
        global $CCSLocales;
        global $DefaultDateFormat;
        $this->CmdExecution = true;
        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeBuildInsert", $this->Parent);
        $this->InsertFields["NAME"]["Value"] = $this->NAME->GetDBValue(true);
        $this->InsertFields["SURNAME"]["Value"] = $this->SURNAME->GetDBValue(true);
        $this->InsertFields["TEL"]["Value"] = $this->TEL->GetDBValue(true);
        $this->InsertFields["LOGIN"]["Value"] = $this->LOGIN->GetDBValue(true);
        $this->InsertFields["PASSWORD"]["Value"] = $this->PASSWORD->GetDBValue(true);
        $this->InsertFields["GROUP_ID"]["Value"] = $this->GROUP_ID->GetDBValue(true);
        $this->SQL = CCBuildInsert("ACCOUNTS", $this->InsertFields, $this);
        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeExecuteInsert", $this->Parent);
        if($this->Errors->Count() == 0 && $this->CmdExecution) {
            $this->query($this->SQL);
            $this->CCSEventResult = CCGetEvent($this->CCSEvents, "AfterExecuteInsert", $this->Parent);
        }
    }
//End Insert Method

//Update Method @2-7DF73A60
    function Update()
    {
        global $CCSLocales;
        global $DefaultDateFormat;
        $this->CmdExecution = true;
        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeBuildUpdate", $this->Parent);
        $this->UpdateFields["NAME"]["Value"] = $this->NAME->GetDBValue(true);
        $this->UpdateFields["SURNAME"]["Value"] = $this->SURNAME->GetDBValue(true);
        $this->UpdateFields["TEL"]["Value"] = $this->TEL->GetDBValue(true);
        $this->UpdateFields["LOGIN"]["Value"] = $this->LOGIN->GetDBValue(true);
        $this->UpdateFields["PASSWORD"]["Value"] = $this->PASSWORD->GetDBValue(true);
        $this->UpdateFields["GROUP_ID"]["Value"] = $this->GROUP_ID->GetDBValue(true);
        $this->SQL = CCBuildUpdate("ACCOUNTS", $this->UpdateFields, $this);
        $this->SQL .= strlen($this->Where) ? " WHERE " . $this->Where : $this->Where;
        if (!strlen($this->Where) && $this->Errors->Count() == 0) 
            $this->Errors->addError($CCSLocales->GetText("CCS_CustomOperationError_MissingParameters"));
        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeExecuteUpdate", $this->Parent);
        if($this->Errors->Count() == 0 && $this->CmdExecution) {
            $this->query($this->SQL);
            $this->CCSEventResult = CCGetEvent($this->CCSEvents, "AfterExecuteUpdate", $this->Parent);
        }
    }
//End Update Method

//Delete Method @2-556282B8
    function Delete()
    {
        global $CCSLocales;
        global $DefaultDateFormat;
        $this->CmdExecution = true;
        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeBuildDelete", $this->Parent);
        $this->SQL = "DELETE FROM ACCOUNTS";
        $this->SQL = CCBuildSQL($this->SQL, $this->Where, "");
        if (!strlen($this->Where) && $this->Errors->Count() == 0) 
            $this->Errors->addError($CCSLocales->GetText("CCS_CustomOperationError_MissingParameters"));
        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeExecuteDelete", $this->Parent);
        if($this->Errors->Count() == 0 && $this->CmdExecution) {
            $this->query($this->SQL);
            $this->CCSEventResult = CCGetEvent($this->CCSEvents, "AfterExecuteDelete", $this->Parent);
        }
    }
//End Delete Method

} //End ACCOUNTS1DataSource Class @2-FCB6E20C

//Initialize Page @1-19987493
// Variables
$FileName = "";
$Redirect = "";
$Tpl = "";
$TemplateFileName = "";
$BlockToParse = "";
$ComponentName = "";
$Attributes = "";

// Events;
$CCSEvents = "";
$CCSEventResult = "";

$FileName = FileName;
$Redirect = "";
$TemplateFileName = "account_record.html";
$BlockToParse = "main";
$TemplateEncoding = "UTF-8";
$ContentType = "text/html";
$PathToRoot = "./";
$Charset = $Charset ? $Charset : "utf-8";
//End Initialize Page

//Authenticate User @1-FAB823D9
CCSecurityRedirect("0", "login_page.php");
//End Authenticate User

//Before Initialize @1-E870CEBC
$CCSEventResult = CCGetEvent($CCSEvents, "BeforeInitialize", $MainPage);
//End Before Initialize

//Initialize Objects @1-F852376A
$DBConnection1 = new clsDBConnection1();
$MainPage->Connections["Connection1"] = & $DBConnection1;
$Attributes = new clsAttributes("page:");
$MainPage->Attributes = & $Attributes;

// Controls
$ACCOUNTS1 = new clsRecordACCOUNTS1("", $MainPage);
$MainPage->ACCOUNTS1 = & $ACCOUNTS1;
$ACCOUNTS1->Initialize();

$CCSEventResult = CCGetEvent($CCSEvents, "AfterInitialize", $MainPage);

if ($Charset) {
    header("Content-Type: " . $ContentType . "; charset=" . $Charset);
} else {
    header("Content-Type: " . $ContentType);
}
//End Initialize Objects

//Initialize HTML Template @1-51EC165D
$CCSEventResult = CCGetEvent($CCSEvents, "OnInitializeView", $MainPage);
$Tpl = new clsTemplate($FileEncoding, $TemplateEncoding);
$Tpl->LoadTemplate(PathToCurrentPage . $TemplateFileName, $BlockToParse, "UTF-8");
$Tpl->block_path = "/$BlockToParse";
$CCSEventResult = CCGetEvent($CCSEvents, "BeforeShow", $MainPage);
$Attributes->SetValue("pathToRoot", "");
$Attributes->Show();
//End Initialize HTML Template

//Execute Components @1-0BEE9166
$ACCOUNTS1->Operation();
//End Execute Components

//Go to destination page @1-6BCC7FCB
if($Redirect)
{
    $CCSEventResult = CCGetEvent($CCSEvents, "BeforeUnload", $MainPage);
    $DBConnection1->close();
    header("Location: " . $Redirect);
    unset($ACCOUNTS1);
    unset($Tpl);
    exit;
}
//End Go to destination page

//Show Page @1-D0103D99
$ACCOUNTS1->Show();
$Tpl->block_path = "";
$Tpl->Parse($BlockToParse, false);
if (!isset($main_block)) $main_block = $Tpl->GetVar($BlockToParse);
$CCSEventResult = CCGetEvent($CCSEvents, "BeforeOutput", $MainPage);
if ($CCSEventResult) echo $main_block;
//End Show Page

//Unload Page @1-63AD10B0
$CCSEventResult = CCGetEvent($CCSEvents, "BeforeUnload", $MainPage);
$DBConnection1->close();
unset($ACCOUNTS1);
unset($Tpl);
//End Unload Page


?>
