<?php
//Include Common Files @1-1F439FA6
define("RelativePath", ".");
define("PathToCurrentPage", "/");
define("FileName", "activate_alarm.php");
include_once(RelativePath . "/Common.php");
include_once(RelativePath . "/Template.php");
include_once(RelativePath . "/Sorter.php");
include_once(RelativePath . "/Navigator.php");
//End Include Common Files

class clsRecordALARM { //ALARM Class @2-71A3A077

//Variables @2-9E315808

    // Public variables
    public $ComponentType = "Record";
    public $ComponentName;
    public $Parent;
    public $HTMLFormAction;
    public $PressedButton;
    public $Errors;
    public $ErrorBlock;
    public $FormSubmitted;
    public $FormEnctype;
    public $Visible;
    public $IsEmpty;

    public $CCSEvents = "";
    public $CCSEventResult;

    public $RelativePath = "";

    public $InsertAllowed = false;
    public $UpdateAllowed = false;
    public $DeleteAllowed = false;
    public $ReadAllowed   = false;
    public $EditMode      = false;
    public $ds;
    public $DataSource;
    public $ValidatingControls;
    public $Controls;
    public $Attributes;

    // Class variables
//End Variables

//Class_Initialize Event @2-E4FEAC17
    function clsRecordALARM($RelativePath, & $Parent)
    {

        global $FileName;
        global $CCSLocales;
        global $DefaultDateFormat;
        $this->Visible = true;
        $this->Parent = & $Parent;
        $this->RelativePath = $RelativePath;
        $this->Errors = new clsErrors();
        $this->ErrorBlock = "Record ALARM/Error";
        $this->DataSource = new clsALARMDataSource($this);
        $this->ds = & $this->DataSource;
        $this->InsertAllowed = true;
        $this->UpdateAllowed = true;
        $this->ReadAllowed = true;
        if($this->Visible)
        {
            $this->ComponentName = "ALARM";
            $this->Attributes = new clsAttributes($this->ComponentName . ":");
            $CCSForm = split(":", CCGetFromGet("ccsForm", ""), 2);
            if(sizeof($CCSForm) == 1)
                $CCSForm[1] = "";
            list($FormName, $FormMethod) = $CCSForm;
            $this->EditMode = ($FormMethod == "Edit");
            $this->FormEnctype = "application/x-www-form-urlencoded";
            $this->FormSubmitted = ($FormName == $this->ComponentName);
            $Method = $this->FormSubmitted ? ccsPost : ccsGet;
            $this->Button_Insert = new clsButton("Button_Insert", $Method, $this);
            $this->Button_Update = new clsButton("Button_Update", $Method, $this);
            $this->Button_Cancel = new clsButton("Button_Cancel", $Method, $this);
            $this->DATEALARM = new clsControl(ccsTextBox, "DATEALARM", "DATEALARM", ccsText, "", CCGetRequestParam("DATEALARM", $Method, NULL), $this);
            $this->DATEALARM->Required = true;
            $this->LANG = new clsControl(ccsTextBox, "LANG", "LANG", ccsInteger, "", CCGetRequestParam("LANG", $Method, NULL), $this);
            $this->LANG->Required = true;
            $this->ACTIVATED_BY = new clsControl(ccsTextBox, "ACTIVATED_BY", "ACTIVATED BY", ccsText, "", CCGetRequestParam("ACTIVATED_BY", $Method, NULL), $this);
            $this->ACTIVATED_BY->Required = true;
            $this->CALLERID1 = new clsControl(ccsTextBox, "CALLERID1", "CALLERID1", ccsText, "", CCGetRequestParam("CALLERID1", $Method, NULL), $this);
            $this->CALLERID1->Required = true;
            $this->TIMEAL = new clsControl(ccsTextBox, "TIMEAL", "TIMEAL", ccsText, "", CCGetRequestParam("TIMEAL", $Method, NULL), $this);
            $this->TIMEAL->Required = true;
            $this->DatePicker_DATEALARM1 = new clsDatePicker("DatePicker_DATEALARM1", "ALARM", "DATEALARM", $this);
            if(!$this->FormSubmitted) {
                if(!is_array($this->LANG->Value) && !strlen($this->LANG->Value) && $this->LANG->Value !== false)
                    $this->LANG->SetText(1);
                if(!is_array($this->ACTIVATED_BY->Value) && !strlen($this->ACTIVATED_BY->Value) && $this->ACTIVATED_BY->Value !== false)
                    $this->ACTIVATED_BY->SetText(Web_GUI);
            }
        }
    }
//End Class_Initialize Event

//Initialize Method @2-D6CB1C94
    function Initialize()
    {

        if(!$this->Visible)
            return;

        $this->DataSource->Parameters["urlID"] = CCGetFromGet("ID", NULL);
    }
//End Initialize Method

//Validate Method @2-87E18819
    function Validate()
    {
        global $CCSLocales;
        $Validation = true;
        $Where = "";
        $Validation = ($this->DATEALARM->Validate() && $Validation);
        $Validation = ($this->LANG->Validate() && $Validation);
        $Validation = ($this->ACTIVATED_BY->Validate() && $Validation);
        $Validation = ($this->CALLERID1->Validate() && $Validation);
        $Validation = ($this->TIMEAL->Validate() && $Validation);
        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "OnValidate", $this);
        $Validation =  $Validation && ($this->DATEALARM->Errors->Count() == 0);
        $Validation =  $Validation && ($this->LANG->Errors->Count() == 0);
        $Validation =  $Validation && ($this->ACTIVATED_BY->Errors->Count() == 0);
        $Validation =  $Validation && ($this->CALLERID1->Errors->Count() == 0);
        $Validation =  $Validation && ($this->TIMEAL->Errors->Count() == 0);
        return (($this->Errors->Count() == 0) && $Validation);
    }
//End Validate Method

//CheckErrors Method @2-C64622DA
    function CheckErrors()
    {
        $errors = false;
        $errors = ($errors || $this->DATEALARM->Errors->Count());
        $errors = ($errors || $this->LANG->Errors->Count());
        $errors = ($errors || $this->ACTIVATED_BY->Errors->Count());
        $errors = ($errors || $this->CALLERID1->Errors->Count());
        $errors = ($errors || $this->TIMEAL->Errors->Count());
        $errors = ($errors || $this->DatePicker_DATEALARM1->Errors->Count());
        $errors = ($errors || $this->Errors->Count());
        $errors = ($errors || $this->DataSource->Errors->Count());
        return $errors;
    }
//End CheckErrors Method

//MasterDetail @2-ED598703
function SetPrimaryKeys($keyArray)
{
    $this->PrimaryKeys = $keyArray;
}
function GetPrimaryKeys()
{
    return $this->PrimaryKeys;
}
function GetPrimaryKey($keyName)
{
    return $this->PrimaryKeys[$keyName];
}
//End MasterDetail

//Operation Method @2-4ACA9326
    function Operation()
    {
        if(!$this->Visible)
            return;

        global $Redirect;
        global $FileName;

        $this->DataSource->Prepare();
        if(!$this->FormSubmitted) {
            $this->EditMode = $this->DataSource->AllParametersSet;
            return;
        }

        if($this->FormSubmitted) {
            $this->PressedButton = $this->EditMode ? "Button_Update" : "Button_Insert";
            if($this->Button_Insert->Pressed) {
                $this->PressedButton = "Button_Insert";
            } else if($this->Button_Update->Pressed) {
                $this->PressedButton = "Button_Update";
            } else if($this->Button_Cancel->Pressed) {
                $this->PressedButton = "Button_Cancel";
            }
        }
        $Redirect = $FileName . "?" . CCGetQueryString("QueryString", array("ccsForm"));
        if($this->PressedButton == "Button_Cancel") {
            $Redirect = "index.php" . "?" . CCGetQueryString("QueryString", array("ccsForm"));
            if(!CCGetEvent($this->Button_Cancel->CCSEvents, "OnClick", $this->Button_Cancel)) {
                $Redirect = "";
            }
        } else if($this->Validate()) {
            if($this->PressedButton == "Button_Insert") {
                $Redirect = "index.php" . "?" . CCGetQueryString("QueryString", array("ccsForm"));
                if(!CCGetEvent($this->Button_Insert->CCSEvents, "OnClick", $this->Button_Insert) || !$this->InsertRow()) {
                    $Redirect = "";
                }
            } else if($this->PressedButton == "Button_Update") {
                $Redirect = "index.php" . "?" . CCGetQueryString("QueryString", array("ccsForm"));
                if(!CCGetEvent($this->Button_Update->CCSEvents, "OnClick", $this->Button_Update) || !$this->UpdateRow()) {
                    $Redirect = "";
                }
            }
        } else {
            $Redirect = "";
        }
        if ($Redirect)
            $this->DataSource->close();
    }
//End Operation Method

//InsertRow Method @2-7CFA3EFD
    function InsertRow()
    {
        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeInsert", $this);
        if(!$this->InsertAllowed) return false;
        $this->DataSource->DATEALARM->SetValue($this->DATEALARM->GetValue(true));
        $this->DataSource->LANG->SetValue($this->LANG->GetValue(true));
        $this->DataSource->ACTIVATED_BY->SetValue($this->ACTIVATED_BY->GetValue(true));
        $this->DataSource->CALLERID1->SetValue($this->CALLERID1->GetValue(true));
        $this->DataSource->TIMEAL->SetValue($this->TIMEAL->GetValue(true));
        $this->DataSource->Insert();
        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "AfterInsert", $this);
        return (!$this->CheckErrors());
    }
//End InsertRow Method

//UpdateRow Method @2-362EC868
    function UpdateRow()
    {
        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeUpdate", $this);
        if(!$this->UpdateAllowed) return false;
        $this->DataSource->DATEALARM->SetValue($this->DATEALARM->GetValue(true));
        $this->DataSource->LANG->SetValue($this->LANG->GetValue(true));
        $this->DataSource->ACTIVATED_BY->SetValue($this->ACTIVATED_BY->GetValue(true));
        $this->DataSource->CALLERID1->SetValue($this->CALLERID1->GetValue(true));
        $this->DataSource->TIMEAL->SetValue($this->TIMEAL->GetValue(true));
        $this->DataSource->Update();
        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "AfterUpdate", $this);
        return (!$this->CheckErrors());
    }
//End UpdateRow Method

//Show Method @2-C1480546
    function Show()
    {
        global $CCSUseAmp;
        global $Tpl;
        global $FileName;
        global $CCSLocales;
        $Error = "";

        if(!$this->Visible)
            return;

        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeSelect", $this);


        $RecordBlock = "Record " . $this->ComponentName;
        $ParentPath = $Tpl->block_path;
        $Tpl->block_path = $ParentPath . "/" . $RecordBlock;
        $this->EditMode = $this->EditMode && $this->ReadAllowed;
        if($this->EditMode) {
            if($this->DataSource->Errors->Count()){
                $this->Errors->AddErrors($this->DataSource->Errors);
                $this->DataSource->Errors->clear();
            }
            $this->DataSource->Open();
            if($this->DataSource->Errors->Count() == 0 && $this->DataSource->next_record()) {
                $this->DataSource->SetValues();
                if(!$this->FormSubmitted){
                    $this->DATEALARM->SetValue($this->DataSource->DATEALARM->GetValue());
                    $this->LANG->SetValue($this->DataSource->LANG->GetValue());
                    $this->ACTIVATED_BY->SetValue($this->DataSource->ACTIVATED_BY->GetValue());
                    $this->CALLERID1->SetValue($this->DataSource->CALLERID1->GetValue());
                    $this->TIMEAL->SetValue($this->DataSource->TIMEAL->GetValue());
                }
            } else {
                $this->EditMode = false;
            }
        }

        if($this->FormSubmitted || $this->CheckErrors()) {
            $Error = "";
            $Error = ComposeStrings($Error, $this->DATEALARM->Errors->ToString());
            $Error = ComposeStrings($Error, $this->LANG->Errors->ToString());
            $Error = ComposeStrings($Error, $this->ACTIVATED_BY->Errors->ToString());
            $Error = ComposeStrings($Error, $this->CALLERID1->Errors->ToString());
            $Error = ComposeStrings($Error, $this->TIMEAL->Errors->ToString());
            $Error = ComposeStrings($Error, $this->DatePicker_DATEALARM1->Errors->ToString());
            $Error = ComposeStrings($Error, $this->Errors->ToString());
            $Error = ComposeStrings($Error, $this->DataSource->Errors->ToString());
            $Tpl->SetVar("Error", $Error);
            $Tpl->Parse("Error", false);
        }
        $CCSForm = $this->EditMode ? $this->ComponentName . ":" . "Edit" : $this->ComponentName;
        $this->HTMLFormAction = $FileName . "?" . CCAddParam(CCGetQueryString("QueryString", ""), "ccsForm", $CCSForm);
        $Tpl->SetVar("Action", !$CCSUseAmp ? $this->HTMLFormAction : str_replace("&", "&amp;", $this->HTMLFormAction));
        $Tpl->SetVar("HTMLFormName", $this->ComponentName);
        $Tpl->SetVar("HTMLFormEnctype", $this->FormEnctype);
        $this->Button_Insert->Visible = !$this->EditMode && $this->InsertAllowed;
        $this->Button_Update->Visible = $this->EditMode && $this->UpdateAllowed;

        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeShow", $this);
        $this->Attributes->Show();
        if(!$this->Visible) {
            $Tpl->block_path = $ParentPath;
            return;
        }

        $this->Button_Insert->Show();
        $this->Button_Update->Show();
        $this->Button_Cancel->Show();
        $this->DATEALARM->Show();
        $this->LANG->Show();
        $this->ACTIVATED_BY->Show();
        $this->CALLERID1->Show();
        $this->TIMEAL->Show();
        $this->DatePicker_DATEALARM1->Show();
        $Tpl->parse();
        $Tpl->block_path = $ParentPath;
        $this->DataSource->close();
    }
//End Show Method

} //End ALARM Class @2-FCB6E20C

class clsALARMDataSource extends clsDBConnection1 {  //ALARMDataSource Class @2-AB59F4E9

//DataSource Variables @2-F865B91C
    public $Parent = "";
    public $CCSEvents = "";
    public $CCSEventResult;
    public $ErrorBlock;
    public $CmdExecution;

    public $InsertParameters;
    public $UpdateParameters;
    public $wp;
    public $AllParametersSet;

    public $InsertFields = array();
    public $UpdateFields = array();

    // Datasource fields
    public $DATEALARM;
    public $LANG;
    public $ACTIVATED_BY;
    public $CALLERID1;
    public $TIMEAL;
//End DataSource Variables

//DataSourceClass_Initialize Event @2-EDA3AEE3
    function clsALARMDataSource(& $Parent)
    {
        $this->Parent = & $Parent;
        $this->ErrorBlock = "Record ALARM/Error";
        $this->Initialize();
        $this->DATEALARM = new clsField("DATEALARM", ccsText, "");
        
        $this->LANG = new clsField("LANG", ccsInteger, "");
        
        $this->ACTIVATED_BY = new clsField("ACTIVATED_BY", ccsText, "");
        
        $this->CALLERID1 = new clsField("CALLERID1", ccsText, "");
        
        $this->TIMEAL = new clsField("TIMEAL", ccsText, "");
        

        $this->InsertFields["DATEALARM"] = array("Name" => "DATEALARM", "Value" => "", "DataType" => ccsText, "OmitIfEmpty" => 1);
        $this->InsertFields["LANG"] = array("Name" => "LANG", "Value" => "", "DataType" => ccsInteger, "OmitIfEmpty" => 1);
        $this->InsertFields["ACTIVATED_BY"] = array("Name" => "ACTIVATED_BY", "Value" => "", "DataType" => ccsText, "OmitIfEmpty" => 1);
        $this->InsertFields["CALLERID1"] = array("Name" => "CALLERID1", "Value" => "", "DataType" => ccsText, "OmitIfEmpty" => 1);
        $this->InsertFields["TIMEAL"] = array("Name" => "TIMEAL", "Value" => "", "DataType" => ccsText, "OmitIfEmpty" => 1);
        $this->UpdateFields["DATEALARM"] = array("Name" => "DATEALARM", "Value" => "", "DataType" => ccsText, "OmitIfEmpty" => 1);
        $this->UpdateFields["LANG"] = array("Name" => "LANG", "Value" => "", "DataType" => ccsInteger, "OmitIfEmpty" => 1);
        $this->UpdateFields["ACTIVATED_BY"] = array("Name" => "ACTIVATED_BY", "Value" => "", "DataType" => ccsText, "OmitIfEmpty" => 1);
        $this->UpdateFields["CALLERID1"] = array("Name" => "CALLERID1", "Value" => "", "DataType" => ccsText, "OmitIfEmpty" => 1);
        $this->UpdateFields["TIMEAL"] = array("Name" => "TIMEAL", "Value" => "", "DataType" => ccsText, "OmitIfEmpty" => 1);
    }
//End DataSourceClass_Initialize Event

//Prepare Method @2-C6736E1B
    function Prepare()
    {
        global $CCSLocales;
        global $DefaultDateFormat;
        $this->wp = new clsSQLParameters($this->ErrorBlock);
        $this->wp->AddParameter("1", "urlID", ccsInteger, "", "", $this->Parameters["urlID"], "", false);
        $this->AllParametersSet = $this->wp->AllParamsSet();
        $this->wp->Criterion[1] = $this->wp->Operation(opEqual, "ID", $this->wp->GetDBValue("1"), $this->ToSQL($this->wp->GetDBValue("1"), ccsInteger),false);
        $this->Where = 
             $this->wp->Criterion[1];
    }
//End Prepare Method

//Open Method @2-02A4CCD4
    function Open()
    {
        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeBuildSelect", $this->Parent);
        $this->SQL = "SELECT * \n\n" .
        "FROM ALARM {SQL_Where} {SQL_OrderBy}";
        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeExecuteSelect", $this->Parent);
        $this->query(CCBuildSQL($this->SQL, $this->Where, $this->Order));
        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "AfterExecuteSelect", $this->Parent);
    }
//End Open Method

//SetValues Method @2-139B6F3E
    function SetValues()
    {
        $this->DATEALARM->SetDBValue($this->f("DATEALARM"));
        $this->LANG->SetDBValue(trim($this->f("LANG")));
        $this->ACTIVATED_BY->SetDBValue($this->f("ACTIVATED_BY"));
        $this->CALLERID1->SetDBValue($this->f("CALLERID1"));
        $this->TIMEAL->SetDBValue($this->f("TIMEAL"));
    }
//End SetValues Method

//Insert Method @2-052C7B40
    function Insert()
    {
        global $CCSLocales;
        global $DefaultDateFormat;
        $this->CmdExecution = true;
        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeBuildInsert", $this->Parent);
        $this->InsertFields["DATEALARM"]["Value"] = $this->DATEALARM->GetDBValue(true);
        $this->InsertFields["LANG"]["Value"] = $this->LANG->GetDBValue(true);
        $this->InsertFields["ACTIVATED_BY"]["Value"] = $this->ACTIVATED_BY->GetDBValue(true);
        $this->InsertFields["CALLERID1"]["Value"] = $this->CALLERID1->GetDBValue(true);
        $this->InsertFields["TIMEAL"]["Value"] = $this->TIMEAL->GetDBValue(true);
        $this->SQL = CCBuildInsert("ALARM", $this->InsertFields, $this);
        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeExecuteInsert", $this->Parent);
        if($this->Errors->Count() == 0 && $this->CmdExecution) {
            $this->query($this->SQL);
            $this->CCSEventResult = CCGetEvent($this->CCSEvents, "AfterExecuteInsert", $this->Parent);
        }
    }
//End Insert Method

//Update Method @2-4828E7D5
    function Update()
    {
        global $CCSLocales;
        global $DefaultDateFormat;
        $this->CmdExecution = true;
        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeBuildUpdate", $this->Parent);
        $this->UpdateFields["DATEALARM"]["Value"] = $this->DATEALARM->GetDBValue(true);
        $this->UpdateFields["LANG"]["Value"] = $this->LANG->GetDBValue(true);
        $this->UpdateFields["ACTIVATED_BY"]["Value"] = $this->ACTIVATED_BY->GetDBValue(true);
        $this->UpdateFields["CALLERID1"]["Value"] = $this->CALLERID1->GetDBValue(true);
        $this->UpdateFields["TIMEAL"]["Value"] = $this->TIMEAL->GetDBValue(true);
        $this->SQL = CCBuildUpdate("ALARM", $this->UpdateFields, $this);
        $this->SQL .= strlen($this->Where) ? " WHERE " . $this->Where : $this->Where;
        if (!strlen($this->Where) && $this->Errors->Count() == 0) 
            $this->Errors->addError($CCSLocales->GetText("CCS_CustomOperationError_MissingParameters"));
        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeExecuteUpdate", $this->Parent);
        if($this->Errors->Count() == 0 && $this->CmdExecution) {
            $this->query($this->SQL);
            $this->CCSEventResult = CCGetEvent($this->CCSEvents, "AfterExecuteUpdate", $this->Parent);
        }
    }
//End Update Method

} //End ALARMDataSource Class @2-FCB6E20C

class clsGridSERVER { //SERVER class @16-BAB5699E

//Variables @16-6E51DF5A

    // Public variables
    public $ComponentType = "Grid";
    public $ComponentName;
    public $Visible;
    public $Errors;
    public $ErrorBlock;
    public $ds;
    public $DataSource;
    public $PageSize;
    public $IsEmpty;
    public $ForceIteration = false;
    public $HasRecord = false;
    public $SorterName = "";
    public $SorterDirection = "";
    public $PageNumber;
    public $RowNumber;
    public $ControlsVisible = array();

    public $CCSEvents = "";
    public $CCSEventResult;

    public $RelativePath = "";
    public $Attributes;

    // Grid Controls
    public $StaticControls;
    public $RowControls;
//End Variables

//Class_Initialize Event @16-4AECEA42
    function clsGridSERVER($RelativePath, & $Parent)
    {
        global $FileName;
        global $CCSLocales;
        global $DefaultDateFormat;
        $this->ComponentName = "SERVER";
        $this->Visible = True;
        $this->Parent = & $Parent;
        $this->RelativePath = $RelativePath;
        $this->Errors = new clsErrors();
        $this->ErrorBlock = "Grid SERVER";
        $this->Attributes = new clsAttributes($this->ComponentName . ":");
        $this->DataSource = new clsSERVERDataSource($this);
        $this->ds = & $this->DataSource;
        $this->PageSize = CCGetParam($this->ComponentName . "PageSize", "");
        if(!is_numeric($this->PageSize) || !strlen($this->PageSize))
            $this->PageSize = 1;
        else
            $this->PageSize = intval($this->PageSize);
        if ($this->PageSize > 100)
            $this->PageSize = 100;
        if($this->PageSize == 0)
            $this->Errors->addError("<p>Form: Grid " . $this->ComponentName . "<br>Error: (CCS06) Invalid page size.</p>");
        $this->PageNumber = intval(CCGetParam($this->ComponentName . "Page", 1));
        if ($this->PageNumber <= 0) $this->PageNumber = 1;

        $this->SIPSERVER = new clsControl(ccsTextBox, "SIPSERVER", "SIPSERVER", ccsText, "", CCGetRequestParam("SIPSERVER", ccsGet, NULL), $this);
        $this->SIPSERVER_PORT = new clsControl(ccsTextBox, "SIPSERVER_PORT", "SIPSERVER_PORT", ccsText, "", CCGetRequestParam("SIPSERVER_PORT", ccsGet, NULL), $this);
    }
//End Class_Initialize Event

//Initialize Method @16-90E704C5
    function Initialize()
    {
        if(!$this->Visible) return;

        $this->DataSource->PageSize = & $this->PageSize;
        $this->DataSource->AbsolutePage = & $this->PageNumber;
        $this->DataSource->SetOrder($this->SorterName, $this->SorterDirection);
    }
//End Initialize Method

//Show Method @16-C8AE6E59
    function Show()
    {
        global $Tpl;
        global $CCSLocales;
        if(!$this->Visible) return;

        $this->RowNumber = 0;


        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeSelect", $this);


        $this->DataSource->Prepare();
        $this->DataSource->Open();
        $this->HasRecord = $this->DataSource->has_next_record();
        $this->IsEmpty = ! $this->HasRecord;
        $this->Attributes->Show();

        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeShow", $this);
        if(!$this->Visible) return;

        $GridBlock = "Grid " . $this->ComponentName;
        $ParentPath = $Tpl->block_path;
        $Tpl->block_path = $ParentPath . "/" . $GridBlock;


        if (!$this->IsEmpty) {
            $this->ControlsVisible["SIPSERVER"] = $this->SIPSERVER->Visible;
            $this->ControlsVisible["SIPSERVER_PORT"] = $this->SIPSERVER_PORT->Visible;
            while ($this->ForceIteration || (($this->RowNumber < $this->PageSize) &&  ($this->HasRecord = $this->DataSource->has_next_record()))) {
                $this->RowNumber++;
                if ($this->HasRecord) {
                    $this->DataSource->next_record();
                    $this->DataSource->SetValues();
                }
                $Tpl->block_path = $ParentPath . "/" . $GridBlock . "/Row";
                $this->SIPSERVER->SetValue($this->DataSource->SIPSERVER->GetValue());
                $this->SIPSERVER_PORT->SetValue($this->DataSource->SIPSERVER_PORT->GetValue());
                $this->Attributes->SetValue("rowNumber", $this->RowNumber);
                $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeShowRow", $this);
                $this->Attributes->Show();
                $this->SIPSERVER->Show();
                $this->SIPSERVER_PORT->Show();
                $Tpl->block_path = $ParentPath . "/" . $GridBlock;
                $Tpl->parse("Row", true);
            }
        }

        $errors = $this->GetErrors();
        if(strlen($errors))
        {
            $Tpl->replaceblock("", $errors);
            $Tpl->block_path = $ParentPath;
            return;
        }
        $Tpl->parse();
        $Tpl->block_path = $ParentPath;
        $this->DataSource->close();
    }
//End Show Method

//GetErrors Method @16-E6EB7152
    function GetErrors()
    {
        $errors = "";
        $errors = ComposeStrings($errors, $this->SIPSERVER->Errors->ToString());
        $errors = ComposeStrings($errors, $this->SIPSERVER_PORT->Errors->ToString());
        $errors = ComposeStrings($errors, $this->Errors->ToString());
        $errors = ComposeStrings($errors, $this->DataSource->Errors->ToString());
        return $errors;
    }
//End GetErrors Method

} //End SERVER Class @16-FCB6E20C

class clsSERVERDataSource extends clsDBConnection1 {  //SERVERDataSource Class @16-1464B295

//DataSource Variables @16-434C40C0
    public $Parent = "";
    public $CCSEvents = "";
    public $CCSEventResult;
    public $ErrorBlock;
    public $CmdExecution;

    public $CountSQL;
    public $wp;


    // Datasource fields
    public $SIPSERVER;
    public $SIPSERVER_PORT;
//End DataSource Variables

//DataSourceClass_Initialize Event @16-2E6C1729
    function clsSERVERDataSource(& $Parent)
    {
        $this->Parent = & $Parent;
        $this->ErrorBlock = "Grid SERVER";
        $this->Initialize();
        $this->SIPSERVER = new clsField("SIPSERVER", ccsText, "");
        
        $this->SIPSERVER_PORT = new clsField("SIPSERVER_PORT", ccsText, "");
        

    }
//End DataSourceClass_Initialize Event

//SetOrder Method @16-9E1383D1
    function SetOrder($SorterName, $SorterDirection)
    {
        $this->Order = "";
        $this->Order = CCGetOrder($this->Order, $SorterName, $SorterDirection, 
            "");
    }
//End SetOrder Method

//Prepare Method @16-14D6CD9D
    function Prepare()
    {
        global $CCSLocales;
        global $DefaultDateFormat;
    }
//End Prepare Method

//Open Method @16-CE76A4E2
    function Open()
    {
        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeBuildSelect", $this->Parent);
        $this->CountSQL = "SELECT COUNT(*)\n\n" .
        "FROM SERVER";
        $this->SQL = "SELECT TOP {SqlParam_endRecord} * \n\n" .
        "FROM SERVER {SQL_Where} {SQL_OrderBy}";
        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeExecuteSelect", $this->Parent);
        if ($this->CountSQL) 
            $this->RecordsCount = CCGetDBValue(CCBuildSQL($this->CountSQL, $this->Where, ""), $this);
        else
            $this->RecordsCount = "CCS not counted";
        $this->query($this->OptimizeSQL(CCBuildSQL($this->SQL, $this->Where, $this->Order)));
        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "AfterExecuteSelect", $this->Parent);
        $this->MoveToPage($this->AbsolutePage);
    }
//End Open Method

//SetValues Method @16-02B08871
    function SetValues()
    {
        $this->SIPSERVER->SetDBValue($this->f("SIPSERVER"));
        $this->SIPSERVER_PORT->SetDBValue($this->f("SIPSERVER_PORT"));
    }
//End SetValues Method

} //End SERVERDataSource Class @16-FCB6E20C



//Initialize Page @1-33D39242
// Variables
$FileName = "";
$Redirect = "";
$Tpl = "";
$TemplateFileName = "";
$BlockToParse = "";
$ComponentName = "";
$Attributes = "";

// Events;
$CCSEvents = "";
$CCSEventResult = "";

$FileName = FileName;
$Redirect = "";
$TemplateFileName = "activate_alarm.html";
$BlockToParse = "main";
$TemplateEncoding = "UTF-8";
$ContentType = "text/html";
$PathToRoot = "./";
$Charset = $Charset ? $Charset : "utf-8";
//End Initialize Page

//Authenticate User @1-C2332AB1
CCSecurityRedirect("1;0", "index.php");
//End Authenticate User

//Include events file @1-00D2C61F
include_once("./activate_alarm_events.php");
//End Include events file

//Before Initialize @1-E870CEBC
$CCSEventResult = CCGetEvent($CCSEvents, "BeforeInitialize", $MainPage);
//End Before Initialize

//Initialize Objects @1-6E5CFD7D
$DBConnection1 = new clsDBConnection1();
$MainPage->Connections["Connection1"] = & $DBConnection1;
$Attributes = new clsAttributes("page:");
$MainPage->Attributes = & $Attributes;

// Controls
$ALARM = new clsRecordALARM("", $MainPage);
$SERVER = new clsGridSERVER("", $MainPage);
$MainPage->ALARM = & $ALARM;
$MainPage->SERVER = & $SERVER;
$ALARM->Initialize();
$SERVER->Initialize();

BindEvents();

$CCSEventResult = CCGetEvent($CCSEvents, "AfterInitialize", $MainPage);

if ($Charset) {
    header("Content-Type: " . $ContentType . "; charset=" . $Charset);
} else {
    header("Content-Type: " . $ContentType);
}
//End Initialize Objects

//Initialize HTML Template @1-51EC165D
$CCSEventResult = CCGetEvent($CCSEvents, "OnInitializeView", $MainPage);
$Tpl = new clsTemplate($FileEncoding, $TemplateEncoding);
$Tpl->LoadTemplate(PathToCurrentPage . $TemplateFileName, $BlockToParse, "UTF-8");
$Tpl->block_path = "/$BlockToParse";
$CCSEventResult = CCGetEvent($CCSEvents, "BeforeShow", $MainPage);
$Attributes->SetValue("pathToRoot", "");
$Attributes->Show();
//End Initialize HTML Template

//Execute Components @1-3EECB3B9
$ALARM->Operation();
//End Execute Components

//Go to destination page @1-73877316
if($Redirect)
{
    $CCSEventResult = CCGetEvent($CCSEvents, "BeforeUnload", $MainPage);
    $DBConnection1->close();
    header("Location: " . $Redirect);
    unset($ALARM);
    unset($SERVER);
    unset($Tpl);
    exit;
}
//End Go to destination page

//Show Page @1-68CB3275
$ALARM->Show();
$SERVER->Show();
$Tpl->block_path = "";
$Tpl->Parse($BlockToParse, false);
if (!isset($main_block)) $main_block = $Tpl->GetVar($BlockToParse);
$CCSEventResult = CCGetEvent($CCSEvents, "BeforeOutput", $MainPage);
if ($CCSEventResult) echo $main_block;
//End Show Page

//Unload Page @1-1E3842AA
$CCSEventResult = CCGetEvent($CCSEvents, "BeforeUnload", $MainPage);
$DBConnection1->close();
unset($ALARM);
unset($SERVER);
unset($Tpl);
//End Unload Page


?>
