<?php
//Include Common Files @1-975F5872
define("RelativePath", ".");
define("PathToCurrentPage", "/");
define("FileName", "logs.php");
include_once(RelativePath . "/Common.php");
include_once(RelativePath . "/Template.php");
include_once(RelativePath . "/Sorter.php");
include_once(RelativePath . "/Navigator.php");
//End Include Common Files

class clsGridLOGS { //LOGS class @24-A1574327

//Variables @24-F7FA3734

    // Public variables
    public $ComponentType = "Grid";
    public $ComponentName;
    public $Visible;
    public $Errors;
    public $ErrorBlock;
    public $ds;
    public $DataSource;
    public $PageSize;
    public $IsEmpty;
    public $ForceIteration = false;
    public $HasRecord = false;
    public $SorterName = "";
    public $SorterDirection = "";
    public $PageNumber;
    public $RowNumber;
    public $ControlsVisible = array();

    public $CCSEvents = "";
    public $CCSEventResult;

    public $RelativePath = "";
    public $Attributes;

    // Grid Controls
    public $StaticControls;
    public $RowControls;
    public $Sorter_LOGDATE;
    public $Sorter_LOG_LINE;
//End Variables

//Class_Initialize Event @24-CC33EDAE
    function clsGridLOGS($RelativePath, & $Parent)
    {
        global $FileName;
        global $CCSLocales;
        global $DefaultDateFormat;
        $this->ComponentName = "LOGS";
        $this->Visible = True;
        $this->Parent = & $Parent;
        $this->RelativePath = $RelativePath;
        $this->Errors = new clsErrors();
        $this->ErrorBlock = "Grid LOGS";
        $this->Attributes = new clsAttributes($this->ComponentName . ":");
        $this->DataSource = new clsLOGSDataSource($this);
        $this->ds = & $this->DataSource;
        $this->PageSize = CCGetParam($this->ComponentName . "PageSize", "");
        if(!is_numeric($this->PageSize) || !strlen($this->PageSize))
            $this->PageSize = 30;
        else
            $this->PageSize = intval($this->PageSize);
        if ($this->PageSize > 100)
            $this->PageSize = 100;
        if($this->PageSize == 0)
            $this->Errors->addError("<p>Form: Grid " . $this->ComponentName . "<br>Error: (CCS06) Invalid page size.</p>");
        $this->PageNumber = intval(CCGetParam($this->ComponentName . "Page", 1));
        if ($this->PageNumber <= 0) $this->PageNumber = 1;
        $this->SorterName = CCGetParam("LOGSOrder", "");
        $this->SorterDirection = CCGetParam("LOGSDir", "");

        $this->Data_LOGDATE = new clsPanel("Data_LOGDATE", $this);
        $this->LOGDATE = new clsControl(ccsLabel, "LOGDATE", "LOGDATE", ccsText, "", CCGetRequestParam("LOGDATE", ccsGet, NULL), $this);
        $this->Data_LOG_LINE = new clsPanel("Data_LOG_LINE", $this);
        $this->LOG_LINE = new clsControl(ccsLabel, "LOG_LINE", "LOG_LINE", ccsText, "", CCGetRequestParam("LOG_LINE", ccsGet, NULL), $this);
        $this->LOGS_TotalRecords = new clsControl(ccsLabel, "LOGS_TotalRecords", "LOGS_TotalRecords", ccsText, "", CCGetRequestParam("LOGS_TotalRecords", ccsGet, NULL), $this);
        $this->Header_LOGDATE = new clsPanel("Header_LOGDATE", $this);
        $this->Sorter_LOGDATE = new clsSorter($this->ComponentName, "Sorter_LOGDATE", $FileName, $this);
        $this->Header_LOG_LINE = new clsPanel("Header_LOG_LINE", $this);
        $this->Sorter_LOG_LINE = new clsSorter($this->ComponentName, "Sorter_LOG_LINE", $FileName, $this);
        $this->Navigator = new clsNavigator($this->ComponentName, "Navigator", $FileName, 10, tpSimple, $this);
        $this->Navigator->PageSizes = array("1", "5", "10", "25", "50");
        $this->Header_LOGDATE->AddComponent("Sorter_LOGDATE", $this->Sorter_LOGDATE);
        $this->Header_LOG_LINE->AddComponent("Sorter_LOG_LINE", $this->Sorter_LOG_LINE);
        $this->Data_LOGDATE->AddComponent("LOGDATE", $this->LOGDATE);
        $this->Data_LOG_LINE->AddComponent("LOG_LINE", $this->LOG_LINE);
    }
//End Class_Initialize Event

//Initialize Method @24-90E704C5
    function Initialize()
    {
        if(!$this->Visible) return;

        $this->DataSource->PageSize = & $this->PageSize;
        $this->DataSource->AbsolutePage = & $this->PageNumber;
        $this->DataSource->SetOrder($this->SorterName, $this->SorterDirection);
    }
//End Initialize Method

//Show Method @24-598CADFB
    function Show()
    {
        global $Tpl;
        global $CCSLocales;
        if(!$this->Visible) return;

        $this->RowNumber = 0;

        $this->DataSource->Parameters["urls_LOG_LINE"] = CCGetFromGet("s_LOG_LINE", NULL);

        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeSelect", $this);


        $this->DataSource->Prepare();
        $this->DataSource->Open();
        $this->HasRecord = $this->DataSource->has_next_record();
        $this->IsEmpty = ! $this->HasRecord;
        $this->Attributes->Show();

        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeShow", $this);
        if(!$this->Visible) return;

        $GridBlock = "Grid " . $this->ComponentName;
        $ParentPath = $Tpl->block_path;
        $Tpl->block_path = $ParentPath . "/" . $GridBlock;


        if (!$this->IsEmpty) {
            $this->ControlsVisible["Data_LOGDATE"] = $this->Data_LOGDATE->Visible;
            $this->ControlsVisible["LOGDATE"] = $this->LOGDATE->Visible;
            $this->ControlsVisible["Data_LOG_LINE"] = $this->Data_LOG_LINE->Visible;
            $this->ControlsVisible["LOG_LINE"] = $this->LOG_LINE->Visible;
            while ($this->ForceIteration || (($this->RowNumber < $this->PageSize) &&  ($this->HasRecord = $this->DataSource->has_next_record()))) {
                // Parse Separator
                if($this->RowNumber) {
                    $this->Attributes->Show();
                    $Tpl->parseto("Separator", true, "Row");
                }
                $this->RowNumber++;
                if ($this->HasRecord) {
                    $this->DataSource->next_record();
                    $this->DataSource->SetValues();
                }
                $Tpl->block_path = $ParentPath . "/" . $GridBlock . "/Row";
                $this->LOGDATE->SetValue($this->DataSource->LOGDATE->GetValue());
                $this->LOG_LINE->SetValue($this->DataSource->LOG_LINE->GetValue());
                $this->Attributes->SetValue("rowNumber", $this->RowNumber);
                $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeShowRow", $this);
                $this->Attributes->Show();
                $this->Data_LOGDATE->Show();
                $this->Data_LOG_LINE->Show();
                $Tpl->block_path = $ParentPath . "/" . $GridBlock;
                $Tpl->parse("Row", true);
            }
        }
        else { // Show NoRecords block if no records are found
            $this->Attributes->Show();
            $Tpl->parse("NoRecords", false);
        }

        $errors = $this->GetErrors();
        if(strlen($errors))
        {
            $Tpl->replaceblock("", $errors);
            $Tpl->block_path = $ParentPath;
            return;
        }
        $this->Navigator->PageNumber = $this->DataSource->AbsolutePage;
        $this->Navigator->PageSize = $this->PageSize;
        if ($this->DataSource->RecordsCount == "CCS not counted")
            $this->Navigator->TotalPages = $this->DataSource->AbsolutePage + ($this->DataSource->next_record() ? 1 : 0);
        else
            $this->Navigator->TotalPages = $this->DataSource->PageCount();
        if ($this->Navigator->TotalPages <= 1) {
            $this->Navigator->Visible = false;
        }
        $this->LOGS_TotalRecords->Show();
        $this->Header_LOGDATE->Show();
        $this->Sorter_LOGDATE->Show();
        $this->Header_LOG_LINE->Show();
        $this->Sorter_LOG_LINE->Show();
        $this->Navigator->Show();
        $Tpl->parse();
        $Tpl->block_path = $ParentPath;
        $this->DataSource->close();
    }
//End Show Method

//GetErrors Method @24-4CC40E9D
    function GetErrors()
    {
        $errors = "";
        $errors = ComposeStrings($errors, $this->LOGDATE->Errors->ToString());
        $errors = ComposeStrings($errors, $this->LOG_LINE->Errors->ToString());
        $errors = ComposeStrings($errors, $this->Errors->ToString());
        $errors = ComposeStrings($errors, $this->DataSource->Errors->ToString());
        return $errors;
    }
//End GetErrors Method

} //End LOGS Class @24-FCB6E20C

class clsLOGSDataSource extends clsDBConnection1 {  //LOGSDataSource Class @24-0047BF1E

//DataSource Variables @24-043F80E0
    public $Parent = "";
    public $CCSEvents = "";
    public $CCSEventResult;
    public $ErrorBlock;
    public $CmdExecution;

    public $CountSQL;
    public $wp;


    // Datasource fields
    public $LOGDATE;
    public $LOG_LINE;
//End DataSource Variables

//DataSourceClass_Initialize Event @24-228ADA6E
    function clsLOGSDataSource(& $Parent)
    {
        $this->Parent = & $Parent;
        $this->ErrorBlock = "Grid LOGS";
        $this->Initialize();
        $this->LOGDATE = new clsField("LOGDATE", ccsText, "");
        
        $this->LOG_LINE = new clsField("LOG_LINE", ccsText, "");
        

    }
//End DataSourceClass_Initialize Event

//SetOrder Method @24-494E4192
    function SetOrder($SorterName, $SorterDirection)
    {
        $this->Order = "LOGDATE desc";
        $this->Order = CCGetOrder($this->Order, $SorterName, $SorterDirection, 
            array("Sorter_LOGDATE" => array("LOGDATE", ""), 
            "Sorter_LOG_LINE" => array("LOG_LINE", "")));
    }
//End SetOrder Method

//Prepare Method @24-C61CD9D7
    function Prepare()
    {
        global $CCSLocales;
        global $DefaultDateFormat;
        $this->wp = new clsSQLParameters($this->ErrorBlock);
        $this->wp->AddParameter("1", "urls_LOG_LINE", ccsText, "", "", $this->Parameters["urls_LOG_LINE"], "", false);
        $this->wp->Criterion[1] = $this->wp->Operation(opContains, "LOG_LINE", $this->wp->GetDBValue("1"), $this->ToSQL($this->wp->GetDBValue("1"), ccsText),false);
        $this->Where = 
             $this->wp->Criterion[1];
    }
//End Prepare Method

//Open Method @24-603ECF25
    function Open()
    {
        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeBuildSelect", $this->Parent);
        $this->CountSQL = "SELECT COUNT(*)\n\n" .
        "FROM LOGS";
        $this->SQL = "SELECT TOP {SqlParam_endRecord} * \n\n" .
        "FROM LOGS {SQL_Where} {SQL_OrderBy}";
        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeExecuteSelect", $this->Parent);
        if ($this->CountSQL) 
            $this->RecordsCount = CCGetDBValue(CCBuildSQL($this->CountSQL, $this->Where, ""), $this);
        else
            $this->RecordsCount = "CCS not counted";
        $this->query($this->OptimizeSQL(CCBuildSQL($this->SQL, $this->Where, $this->Order)));
        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "AfterExecuteSelect", $this->Parent);
        $this->MoveToPage($this->AbsolutePage);
    }
//End Open Method

//SetValues Method @24-6ED5E329
    function SetValues()
    {
        $this->LOGDATE->SetDBValue($this->f("LOGDATE"));
        $this->LOG_LINE->SetDBValue($this->f("LOG_LINE"));
    }
//End SetValues Method

} //End LOGSDataSource Class @24-FCB6E20C

class clsRecordLOGSSearch { //LOGSSearch Class @25-F98978A9

//Variables @25-9E315808

    // Public variables
    public $ComponentType = "Record";
    public $ComponentName;
    public $Parent;
    public $HTMLFormAction;
    public $PressedButton;
    public $Errors;
    public $ErrorBlock;
    public $FormSubmitted;
    public $FormEnctype;
    public $Visible;
    public $IsEmpty;

    public $CCSEvents = "";
    public $CCSEventResult;

    public $RelativePath = "";

    public $InsertAllowed = false;
    public $UpdateAllowed = false;
    public $DeleteAllowed = false;
    public $ReadAllowed   = false;
    public $EditMode      = false;
    public $ds;
    public $DataSource;
    public $ValidatingControls;
    public $Controls;
    public $Attributes;

    // Class variables
//End Variables

//Class_Initialize Event @25-DFBAB566
    function clsRecordLOGSSearch($RelativePath, & $Parent)
    {

        global $FileName;
        global $CCSLocales;
        global $DefaultDateFormat;
        $this->Visible = true;
        $this->Parent = & $Parent;
        $this->RelativePath = $RelativePath;
        $this->Errors = new clsErrors();
        $this->ErrorBlock = "Record LOGSSearch/Error";
        $this->ReadAllowed = true;
        if($this->Visible)
        {
            $this->ComponentName = "LOGSSearch";
            $this->Attributes = new clsAttributes($this->ComponentName . ":");
            $CCSForm = split(":", CCGetFromGet("ccsForm", ""), 2);
            if(sizeof($CCSForm) == 1)
                $CCSForm[1] = "";
            list($FormName, $FormMethod) = $CCSForm;
            $this->FormEnctype = "application/x-www-form-urlencoded";
            $this->FormSubmitted = ($FormName == $this->ComponentName);
            $Method = $this->FormSubmitted ? ccsPost : ccsGet;
            $this->Button_DoSearch = new clsButton("Button_DoSearch", $Method, $this);
            $this->s_LOG_LINE = new clsControl(ccsTextBox, "s_LOG_LINE", "s_LOG_LINE", ccsText, "", CCGetRequestParam("s_LOG_LINE", $Method, NULL), $this);
        }
    }
//End Class_Initialize Event

//Validate Method @25-869F3FB2
    function Validate()
    {
        global $CCSLocales;
        $Validation = true;
        $Where = "";
        $Validation = ($this->s_LOG_LINE->Validate() && $Validation);
        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "OnValidate", $this);
        $Validation =  $Validation && ($this->s_LOG_LINE->Errors->Count() == 0);
        return (($this->Errors->Count() == 0) && $Validation);
    }
//End Validate Method

//CheckErrors Method @25-808DFA7A
    function CheckErrors()
    {
        $errors = false;
        $errors = ($errors || $this->s_LOG_LINE->Errors->Count());
        $errors = ($errors || $this->Errors->Count());
        return $errors;
    }
//End CheckErrors Method

//MasterDetail @25-ED598703
function SetPrimaryKeys($keyArray)
{
    $this->PrimaryKeys = $keyArray;
}
function GetPrimaryKeys()
{
    return $this->PrimaryKeys;
}
function GetPrimaryKey($keyName)
{
    return $this->PrimaryKeys[$keyName];
}
//End MasterDetail

//Operation Method @25-B91479DC
    function Operation()
    {
        if(!$this->Visible)
            return;

        global $Redirect;
        global $FileName;

        if(!$this->FormSubmitted) {
            return;
        }

        if($this->FormSubmitted) {
            $this->PressedButton = "Button_DoSearch";
            if($this->Button_DoSearch->Pressed) {
                $this->PressedButton = "Button_DoSearch";
            }
        }
        $Redirect = "logs.php";
        if($this->Validate()) {
            if($this->PressedButton == "Button_DoSearch") {
                $Redirect = "logs.php" . "?" . CCMergeQueryStrings(CCGetQueryString("Form", array("Button_DoSearch", "Button_DoSearch_x", "Button_DoSearch_y")));
                if(!CCGetEvent($this->Button_DoSearch->CCSEvents, "OnClick", $this->Button_DoSearch)) {
                    $Redirect = "";
                }
            }
        } else {
            $Redirect = "";
        }
    }
//End Operation Method

//Show Method @25-2AC27031
    function Show()
    {
        global $CCSUseAmp;
        global $Tpl;
        global $FileName;
        global $CCSLocales;
        $Error = "";

        if(!$this->Visible)
            return;

        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeSelect", $this);


        $RecordBlock = "Record " . $this->ComponentName;
        $ParentPath = $Tpl->block_path;
        $Tpl->block_path = $ParentPath . "/" . $RecordBlock;
        $this->EditMode = $this->EditMode && $this->ReadAllowed;
        if (!$this->FormSubmitted) {
        }

        if($this->FormSubmitted || $this->CheckErrors()) {
            $Error = "";
            $Error = ComposeStrings($Error, $this->s_LOG_LINE->Errors->ToString());
            $Error = ComposeStrings($Error, $this->Errors->ToString());
            $Tpl->SetVar("Error", $Error);
            $Tpl->Parse("Error", false);
        }
        $CCSForm = $this->EditMode ? $this->ComponentName . ":" . "Edit" : $this->ComponentName;
        $this->HTMLFormAction = $FileName . "?" . CCAddParam(CCGetQueryString("QueryString", ""), "ccsForm", $CCSForm);
        $Tpl->SetVar("Action", !$CCSUseAmp ? $this->HTMLFormAction : str_replace("&", "&amp;", $this->HTMLFormAction));
        $Tpl->SetVar("HTMLFormName", $this->ComponentName);
        $Tpl->SetVar("HTMLFormEnctype", $this->FormEnctype);

        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeShow", $this);
        $this->Attributes->Show();
        if(!$this->Visible) {
            $Tpl->block_path = $ParentPath;
            return;
        }

        $this->Button_DoSearch->Show();
        $this->s_LOG_LINE->Show();
        $Tpl->parse();
        $Tpl->block_path = $ParentPath;
    }
//End Show Method

} //End LOGSSearch Class @25-FCB6E20C



//Initialize Page @1-3A181133
// Variables
$FileName = "";
$Redirect = "";
$Tpl = "";
$TemplateFileName = "";
$BlockToParse = "";
$ComponentName = "";
$Attributes = "";

// Events;
$CCSEvents = "";
$CCSEventResult = "";

$FileName = FileName;
$Redirect = "";
$TemplateFileName = "logs.html";
$BlockToParse = "main";
$TemplateEncoding = "UTF-8";
$ContentType = "text/html";
$PathToRoot = "./";
$Charset = $Charset ? $Charset : "utf-8";
//End Initialize Page

//Authenticate User @1-FA9C894B
CCSecurityRedirect("", "login_page.php");
//End Authenticate User

//Include events file @1-9A4164C0
include_once("./logs_events.php");
//End Include events file

//Before Initialize @1-E870CEBC
$CCSEventResult = CCGetEvent($CCSEvents, "BeforeInitialize", $MainPage);
//End Before Initialize

//Initialize Objects @1-33AFC314
$DBConnection1 = new clsDBConnection1();
$MainPage->Connections["Connection1"] = & $DBConnection1;
$Attributes = new clsAttributes("page:");
$MainPage->Attributes = & $Attributes;

// Controls
$LOGS = new clsGridLOGS("", $MainPage);
$LOGSSearch = new clsRecordLOGSSearch("", $MainPage);
$Link5 = new clsControl(ccsLink, "Link5", "Link5", ccsText, "", CCGetRequestParam("Link5", ccsGet, NULL), $MainPage);
$Link5->Parameters = CCGetQueryString("QueryString", array("ccsForm"));
$Link5->Page = "index.php";
$Link3 = new clsControl(ccsLink, "Link3", "Link3", ccsText, "", CCGetRequestParam("Link3", ccsGet, NULL), $MainPage);
$Link3->Parameters = CCGetQueryString("QueryString", array("ccsForm"));
$Link3->Page = "user_accounts.php";
$Link4 = new clsControl(ccsLink, "Link4", "Link4", ccsText, "", CCGetRequestParam("Link4", ccsGet, NULL), $MainPage);
$Link4->Parameters = CCGetQueryString("QueryString", array("ccsForm"));
$Link4->Page = "unsucceessful_alarm_notifications_list.php";
$Link6 = new clsControl(ccsLink, "Link6", "Link6", ccsText, "", CCGetRequestParam("Link6", ccsGet, NULL), $MainPage);
$Link6->Parameters = CCGetQueryString("QueryString", array("ccsForm"));
$Link6->Page = "logs.php";
$Logout2 = new clsControl(ccsLink, "Logout2", "Logout2", ccsText, "", CCGetRequestParam("Logout2", ccsGet, NULL), $MainPage);
$Logout2->Page = "index.php";
$MainPage->LOGS = & $LOGS;
$MainPage->LOGSSearch = & $LOGSSearch;
$MainPage->Link5 = & $Link5;
$MainPage->Link3 = & $Link3;
$MainPage->Link4 = & $Link4;
$MainPage->Link6 = & $Link6;
$MainPage->Logout2 = & $Logout2;
$Logout2->Parameters = CCGetQueryString("QueryString", array("ccsForm"));
$Logout2->Parameters = CCAddParam($Logout2->Parameters, "Logout", "True");
$LOGS->Initialize();

BindEvents();

$CCSEventResult = CCGetEvent($CCSEvents, "AfterInitialize", $MainPage);

if ($Charset) {
    header("Content-Type: " . $ContentType . "; charset=" . $Charset);
} else {
    header("Content-Type: " . $ContentType);
}
//End Initialize Objects

//Initialize HTML Template @1-51EC165D
$CCSEventResult = CCGetEvent($CCSEvents, "OnInitializeView", $MainPage);
$Tpl = new clsTemplate($FileEncoding, $TemplateEncoding);
$Tpl->LoadTemplate(PathToCurrentPage . $TemplateFileName, $BlockToParse, "UTF-8");
$Tpl->block_path = "/$BlockToParse";
$CCSEventResult = CCGetEvent($CCSEvents, "BeforeShow", $MainPage);
$Attributes->SetValue("pathToRoot", "");
$Attributes->Show();
//End Initialize HTML Template

//Execute Components @1-D7292DEB
$LOGSSearch->Operation();
//End Execute Components

//Go to destination page @1-2CB54309
if($Redirect)
{
    $CCSEventResult = CCGetEvent($CCSEvents, "BeforeUnload", $MainPage);
    $DBConnection1->close();
    header("Location: " . $Redirect);
    unset($LOGS);
    unset($LOGSSearch);
    unset($Tpl);
    exit;
}
//End Go to destination page

//Show Page @1-49B8ED8D
$LOGS->Show();
$LOGSSearch->Show();
$Link5->Show();
$Link3->Show();
$Link4->Show();
$Link6->Show();
$Logout2->Show();
$Tpl->block_path = "";
$Tpl->Parse($BlockToParse, false);
if (!isset($main_block)) $main_block = $Tpl->GetVar($BlockToParse);
$CCSEventResult = CCGetEvent($CCSEvents, "BeforeOutput", $MainPage);
if ($CCSEventResult) echo $main_block;
//End Show Page

//Unload Page @1-B47FEF5E
$CCSEventResult = CCGetEvent($CCSEvents, "BeforeUnload", $MainPage);
$DBConnection1->close();
unset($LOGS);
unset($LOGSSearch);
unset($Tpl);
//End Unload Page


?>
